Index: WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml	(revision 2517)
+++ WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml	(revision 2519)
@@ -30,23 +30,23 @@
 
   <widget name="screening_score" meta_type="String Widget">
-    <property name="title">Score</property>
+    <property name="title">Screening Score</property>
     <property name="fields">
       <element value="screening_score"/>
     </property>
-    <property name="label">Score</property>
-    <property name="label_edit">Score</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-    </property>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
-  
+    <property name="label">Screening Score</property>
+    <property name="label_edit">Screening Score</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+
   <widget name="notice" meta_type="Text Widget">
     <property name="title">Notice</property>
@@ -698,25 +698,27 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course_admitted" meta_type="String Widget">
-    <property name="title">Course of Study</property>
+  
+  <widget name="course_admitted" meta_type="Select Widget">
+    <property name="title">Course of Study (admitted)</property>
     <property name="fields">
       <element value="course_admitted"/>
     </property>
-    <property name="label">Course of Study</property>
-    <property name="label_edit">Course of Study</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-      <element value="edit"/>
-    </property>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
-
+    <property name="label">Course of Study (admitted)</property>
+    <property name="label_edit">Course of Study (admitted)</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="sorted">True</property>
+    <property name="vocabulary">cos</property>    
+    <property name="css_class_expr">string:row</property>
+  </widget>  
+  
   <widget name="hq_type" meta_type="Select Widget">
     <property name="title">Higher Qualification</property>
@@ -871,6 +873,9 @@
   </row>
   <row>
+   <cell name="course_admitted" ncols="2"/>
+  </row>  
+  <row>
    <cell name="notice" ncols="2"/>
-  </row>    
+  </row>
  </table>
 </object>
Index: WAeUP_SRP/uniben/profiles/default/layouts/application_pce.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/application_pce.xml	(revision 2517)
+++ WAeUP_SRP/uniben/profiles/default/layouts/application_pce.xml	(revision 2519)
@@ -31,10 +31,10 @@
 
   <widget name="screening_score" meta_type="String Widget">
-    <property name="title">Score</property>
+    <property name="title">Screening Score</property>
     <property name="fields">
       <element value="screening_score"/>
     </property>
-    <property name="label">Score</property>
-    <property name="label_edit">Score</property>
+    <property name="label">Screening Score</property>
+    <property name="label_edit">Screening Score</property>
     <property name="description"></property>
     <property name="help"></property>
@@ -69,4 +69,5 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
+    <property name="hidden_empty">True</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -663,24 +664,26 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course_admitted" meta_type="String Widget">
-    <property name="title">Course of Study</property>
+  <widget name="course_admitted" meta_type="Select Widget">
+    <property name="title">Course of Study (admitted)</property>
     <property name="fields">
       <element value="course_admitted"/>
     </property>
-    <property name="label">Course of Study</property>
-    <property name="label_edit">Course of Study</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-      <element value="edit"/>
-    </property>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+    <property name="label">Course of Study (admitted)</property>
+    <property name="label_edit">Course of Study (admitted)</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="sorted">True</property>
+    <property name="vocabulary">cos</property>    
+    <property name="css_class_expr">string:row</property>
+  </widget>  
 
  <table>
@@ -696,5 +699,5 @@
   <row>
    <cell name="middlenames" ncols="2"/>
-  </row>    
+  </row>
   <row>
    <cell name="lastname" ncols="2"/>
@@ -749,4 +752,7 @@
   </row>
   <row>
+   <cell name="course_admitted" ncols="2"/>
+  </row>    
+  <row>
    <cell name="notice" ncols="2"/>
   </row>
Index: WAeUP_SRP/uniben/profiles/default/layouts/application_pde.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/application_pde.xml	(revision 2517)
+++ WAeUP_SRP/uniben/profiles/default/layouts/application_pde.xml	(revision 2519)
@@ -8,5 +8,5 @@
   <property name="flexible_widgets"/>
   <property name="validate_values_expr"></property>
-  
+
   <widget name="student_id" meta_type="String Widget">
     <property name="title">Student Id</property>
@@ -28,27 +28,27 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="css_class_expr">string:row</property>
-  </widget>  
+  </widget>
 
   <widget name="screening_score" meta_type="String Widget">
-    <property name="title">Score</property>
+    <property name="title">Screening Score</property>
     <property name="fields">
       <element value="screening_score"/>
     </property>
-    <property name="label">Score</property>
-    <property name="label_edit">Score</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-      <element value="edit"/>
-    </property>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
-  
+    <property name="label">Screening Score</property>
+    <property name="label_edit">Screening Score</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+
   <widget name="notice" meta_type="Text Widget">
     <property name="title">Notice</property>
@@ -69,4 +69,5 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
+    <property name="hidden_empty">True</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -711,24 +712,26 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course_admitted" meta_type="String Widget">
-    <property name="title">Course of Study</property>
+  <widget name="course_admitted" meta_type="Select Widget">
+    <property name="title">Course of Study (admitted)</property>
     <property name="fields">
       <element value="course_admitted"/>
     </property>
-    <property name="label">Course of Study</property>
-    <property name="label_edit">Course of Study</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-      <element value="edit"/>
-    </property>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+    <property name="label">Course of Study (admitted)</property>
+    <property name="label_edit">Course of Study (admitted)</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="sorted">True</property>
+    <property name="vocabulary">cos</property>    
+    <property name="css_class_expr">string:row</property>
+  </widget>  
 
   <widget name="hq_type" meta_type="Select Widget">
@@ -858,6 +861,9 @@
   </row>
   <row>
+   <cell name="course_admitted" ncols="2"/>
+  </row>    
+  <row>
    <cell name="notice" ncols="2"/>
-  </row>    
+  </row>
  </table>
 </object>
Index: WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml	(revision 2517)
+++ WAeUP_SRP/uniben/profiles/default/layouts/application_prence.xml	(revision 2519)
@@ -31,24 +31,24 @@
 
   <widget name="screening_score" meta_type="String Widget">
-    <property name="title">Score</property>
+    <property name="title">Screening Score</property>
     <property name="fields">
       <element value="screening_score"/>
     </property>
-    <property name="label">Score</property>
-    <property name="label_edit">Score</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-      <element value="edit"/>
-    </property>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
-  
+    <property name="label">Screening Score</property>
+    <property name="label_edit">Screening Score</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+
   <widget name="notice" meta_type="Text Widget">
     <property name="title">Notice</property>
@@ -69,6 +69,7 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>	
+    <property name="hidden_empty">True</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
 
   <widget name="reg_no" meta_type="JambRegNo Widget">
@@ -658,24 +659,26 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course_admitted" meta_type="String Widget">
-    <property name="title">Course of Study</property>
+  <widget name="course_admitted" meta_type="Select Widget">
+    <property name="title">Course of Study (admitted)</property>
     <property name="fields">
       <element value="course_admitted"/>
     </property>
-    <property name="label">Course of Study</property>
-    <property name="label_edit">Course of Study</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-      <element value="edit"/>
-    </property>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+    <property name="label">Course of Study (admitted)</property>
+    <property name="label_edit">Course of Study (admitted)</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="sorted">True</property>
+    <property name="vocabulary">cos</property>    
+    <property name="css_class_expr">string:row</property>
+  </widget>  
 
  <table>
@@ -726,6 +729,9 @@
   </row>
   <row>
+   <cell name="course_admitted" ncols="2"/>
+  </row>    
+  <row>
    <cell name="notice" ncols="2"/>
-  </row>      
+  </row>
  </table>
 </object>
Index: WAeUP_SRP/uniben/profiles/default/layouts/application_pume.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/application_pume.xml	(revision 2517)
+++ WAeUP_SRP/uniben/profiles/default/layouts/application_pume.xml	(revision 2519)
@@ -31,24 +31,24 @@
 
   <widget name="screening_score" meta_type="String Widget">
-    <property name="title">Score</property>
+    <property name="title">Screening Score</property>
     <property name="fields">
       <element value="screening_score"/>
     </property>
-    <property name="label">Score</property>
-    <property name="label_edit">Score</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-      <element value="edit"/>
-    </property>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
-  
+    <property name="label">Screening Score</property>
+    <property name="label_edit">Screening Score</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+
   <widget name="notice" meta_type="Text Widget">
     <property name="title">Notice</property>
@@ -69,4 +69,5 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
+    <property name="hidden_empty">True</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -645,24 +646,27 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course_admitted" meta_type="String Widget">
-    <property name="title">Course of Study</property>
+  
+  <widget name="course_admitted" meta_type="Select Widget">
+    <property name="title">Course of Study (admitted)</property>
     <property name="fields">
       <element value="course_admitted"/>
     </property>
-    <property name="label">Course of Study</property>
-    <property name="label_edit">Course of Study</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-      <element value="edit"/>
-    </property>
-    <property name="hidden_layout_modes">
-      <element value="create"/>
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
-  </widget>
+    <property name="label">Course of Study (admitted)</property>
+    <property name="label_edit">Course of Study (admitted)</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="sorted">True</property>
+    <property name="vocabulary">cos</property>    
+    <property name="css_class_expr">string:row</property>
+  </widget>  
 
  <table>
@@ -725,6 +729,9 @@
   </row>
   <row>
+   <cell name="course_admitted" ncols="2"/>
+  </row>    
+  <row>
    <cell name="notice" ncols="2"/>
-  </row>      
+  </row>
  </table>
 </object>
Index: WAeUP_SRP/uniben/profiles/default/layouts/import_application.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/import_application.xml	(revision 2517)
+++ WAeUP_SRP/uniben/profiles/default/layouts/import_application.xml	(revision 2519)
@@ -620,20 +620,22 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  <widget name="course_admitted" meta_type="String Widget">
-    <property name="title">Course of Study</property>
+  <widget name="course_admitted" meta_type="Select Widget">
+    <property name="title">Course of Study (admitted)</property>
     <property name="fields">
       <element value="course_admitted"/>
     </property>
-    <property name="label">Course of Study</property>
-    <property name="label_edit">Course of Study</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes">
-    </property>
-    <property name="hidden_layout_modes">
-    </property>
-    <property name="hidden_readonly_layout_modes"/>
+    <property name="label">Course of Study (admitted)</property>
+    <property name="label_edit">Course of Study (admitted)</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+    </property>
+    <property name="hidden_layout_modes">
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="sorted">True</property>
+    <property name="vocabulary">cos</property>    
     <property name="css_class_expr">string:row</property>
   </widget>