Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_pce.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_pce.xml	(revision 2523)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_pce.xml	(revision 2524)
@@ -48,4 +48,5 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
+    <property name="hidden_empty">True</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -682,8 +683,9 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
+    <property name="hidden_empty">True</property>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>    
-    <property name="css_class_expr">string:row</property>
-  </widget>  
+    <property name="vocabulary">cos</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
 
  <table>
@@ -753,5 +755,5 @@
   <row>
    <cell name="course_admitted" ncols="2"/>
-  </row>    
+  </row>
   <row>
    <cell name="notice" ncols="2"/>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml	(revision 2523)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml	(revision 2524)
@@ -48,4 +48,5 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
+    <property name="hidden_empty">True</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -730,8 +731,9 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
+    <property name="hidden_empty">True</property>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>    
-    <property name="css_class_expr">string:row</property>
-  </widget>  
+    <property name="vocabulary">cos</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
 
   <widget name="hq_type" meta_type="Select Widget">
@@ -862,5 +864,5 @@
   <row>
    <cell name="course_admitted" ncols="2"/>
-  </row>    
+  </row>
   <row>
    <cell name="notice" ncols="2"/>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml	(revision 2523)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml	(revision 2524)
@@ -48,4 +48,5 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
+    <property name="hidden_empty">True</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -676,9 +677,10 @@
       <element value="create"/>
     </property>
+    <property name="hidden_empty">True</property>
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>    
-    <property name="css_class_expr">string:row</property>
-  </widget>  
+    <property name="vocabulary">cos</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
 
  <table>
@@ -730,5 +732,5 @@
   <row>
    <cell name="course_admitted" ncols="2"/>
-  </row>    
+  </row>
   <row>
    <cell name="notice" ncols="2"/>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml	(revision 2523)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml	(revision 2524)
@@ -48,4 +48,5 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
+    <property name="hidden_empty">True</property>
     <property name="css_class_expr">string:row</property>
   </widget>
@@ -646,5 +647,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  
+
   <widget name="course_admitted" meta_type="Select Widget">
     <property name="title">Course of Study (admitted)</property>
@@ -665,8 +666,9 @@
     </property>
     <property name="hidden_readonly_layout_modes"/>
+    <property name="hidden_empty">True</property>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>    
-    <property name="css_class_expr">string:row</property>
-  </widget>  
+    <property name="vocabulary">cos</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
 
  <table>
@@ -730,5 +732,5 @@
   <row>
    <cell name="course_admitted" ncols="2"/>
-  </row>    
+  </row>
   <row>
    <cell name="notice" ncols="2"/>