Index: /WAeUP_SRP/base/Widgets.py
===================================================================
--- /WAeUP_SRP/base/Widgets.py	(revision 2540)
+++ /WAeUP_SRP/base/Widgets.py	(revision 2541)
@@ -1383,6 +1383,10 @@
         if self.isStaff():
             do = 0
-            err ='You are not a Student. PIN neither checked nor used.'
+            err ='You are logged in, please log out. PIN neither checked nor used.'
             s_logger.info('%s tried to use scratch card %s' % (member_id,pin_str))
+        elif self.isStudent():
+            do = 0
+            err ='You are logged in, please log out. PIN neither checked nor used.'
+            s_logger.info('%s/%s applied for screening test with PIN %s' % (member_id,ref,pin_str))
         elif len(b) > 1 and b.find('-') > -1:
             do = 0
@@ -1426,14 +1430,10 @@
                 #screening_type = self.REQUEST.form.get('screening_type','unknown')
                 #screening_type = datastructure['screening_type']
-
                 if self.REQUEST.traverse_subpath:
                     screening_type_request = self.REQUEST.traverse_subpath[0]
                 else:
                     screening_type_request = 'manage'
-                if self.isStudent():
-                    err = "You are a student!"
-                    s_logger.info('%s/%s applied for screening test with PIN %s' % (member_id,ref,pin_str))
-                    break
-                elif datastructure.has_key('record'):
+
+                if datastructure.has_key('record'):
                     applicant = datastructure['record']
                     if applicant.screening_type != screening_type_request\
Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml	(revision 2540)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_manage.xml	(revision 2541)
@@ -659,5 +659,5 @@
     <property name="title">2nd Choice Course of Study</property>
     <property name="fields">
-      <element value="course3"/>
+      <element value="course2"/>
     </property>
     <property name="label">2nd Choice Course of Study</property>
@@ -698,5 +698,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  
+
   <widget name="course_admitted" meta_type="Select Widget">
     <property name="title">Course of Study (admitted)</property>
@@ -717,8 +717,8 @@
     <property name="hidden_readonly_layout_modes"/>
     <property name="sorted">True</property>
-    <property name="vocabulary">cos</property>    
-    <property name="css_class_expr">string:row</property>
-  </widget>  
-  
+    <property name="vocabulary">cos</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+
   <widget name="hq_type" meta_type="Select Widget">
     <property name="title">Higher Qualification</property>
@@ -874,5 +874,5 @@
   <row>
    <cell name="course_admitted" ncols="2"/>
-  </row>  
+  </row>
   <row>
    <cell name="notice" ncols="2"/>
Index: /WAeUP_SRP/uniben/profiles/default/vocabularies/cos.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/vocabularies/cos.xml	(revision 2540)
+++ /WAeUP_SRP/uniben/profiles/default/vocabularies/cos.xml	(revision 2541)
@@ -7,5 +7,5 @@
     <property name="acl_write_roles">Manager</property>
 
-    <item key="" msgid="">N/A</item>
+    <item key="" msgid="">--</item>
     <item key="None" msgid=""></item>
     <item key="BSCANA" msgid="">B.SC (ANATOMY)</item>
@@ -85,5 +85,5 @@
     <item key="BSCGLY" msgid="">BACHELOR OF SCIENCE (GEOLOGY)</item>
     <item key="BSCMCB" msgid="">BACHELOR OF SCIENCE (MICROBIOLOGY)</item>
-    <item key="BSCMLS" msgid="">BACHELOR OF SCIENCE (MEDICAL LAB SCIENCE)</item>    
+    <item key="BSCMLS" msgid="">BACHELOR OF SCIENCE (MEDICAL LAB SCIENCE)</item>
     <item key="BSCSAA" msgid="">BACHELOR OF SCIENCE (SOC.AND ANTHRO.)</item>
     <item key="BSCAEB" msgid="">BACHELOR OF SCIENCE IN ANIMAL AND ENVIRONMENTAL BIOLOGY</item>
Index: /WAeUP_SRP/uniben/profiles/default/vocabularies/local_gov_areas.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/vocabularies/local_gov_areas.xml	(revision 2540)
+++ /WAeUP_SRP/uniben/profiles/default/vocabularies/local_gov_areas.xml	(revision 2541)
@@ -279,5 +279,5 @@
     <item key="edo_egor" msgid="">Edo / Egor</item>
     <item key="edo_esan-central" msgid="">Edo / Esan-Central</item>
-    <item key="edo_esan-north-east_" msgid="">Edo / Esan-North-East</item>
+    <item key="edo_esan-north-east" msgid="">Edo / Esan-North-East</item>
     <item key="edo_esan-south-east" msgid="">Edo / Esan-South-East</item>
     <item key="edo_esan-west" msgid="">Edo / Esan-West</item>