Index: WAeUP_SRP/fceokene/profiles/default/vocabularies/cos.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/vocabularies/cos.xml	(revision 2525)
+++ WAeUP_SRP/fceokene/profiles/default/vocabularies/cos.xml	(revision 2542)
@@ -7,5 +7,5 @@
     <property name="acl_write_roles">Manager</property>
 
-    <item key="" msgid="">N/A</item>
+    <item key="" msgid="">--</item>
     <item key="None" msgid=""></item>
     <item key="BSCANA" msgid="">B.SC (ANATOMY)</item>
@@ -85,5 +85,5 @@
     <item key="BSCGLY" msgid="">BACHELOR OF SCIENCE (GEOLOGY)</item>
     <item key="BSCMCB" msgid="">BACHELOR OF SCIENCE (MICROBIOLOGY)</item>
-    <item key="BSCMLS" msgid="">BACHELOR OF SCIENCE (MEDICAL LAB SCIENCE)</item>    
+    <item key="BSCMLS" msgid="">BACHELOR OF SCIENCE (MEDICAL LAB SCIENCE)</item>
     <item key="BSCSAA" msgid="">BACHELOR OF SCIENCE (SOC.AND ANTHRO.)</item>
     <item key="BSCAEB" msgid="">BACHELOR OF SCIENCE IN ANIMAL AND ENVIRONMENTAL BIOLOGY</item>
@@ -109,111 +109,4 @@
     <item key="BENGGSE" msgid="">BACHELOR OF ENGINEERING (GAS)</item>
     <item key="BSCBNK" msgid="">BACHELOR OF SCIENCE (BANKING)</item>
-    <item key="NCISSARA" msgid="">ISLAMIC STUDIES/ARABIC</item>
-    <item key="NCISSENG" msgid="">ISLAMIC STUDIES/ENGLISH</item>
-    <item key="NCISSHAU" msgid="">ISLAMIC STUDIES/HAUSA</item>
-    <item key="NCISSSOS" msgid="">ISLAMIC STUDIES/SOCIAL STUDIES</item>
-    <item key="NCISSYOR" msgid="">ISLAMIC STUDIES/YORUBA</item>
-    <item key="PNISS" msgid="">PRE-NCE ISLLAMIC STUDIES COURSES</item>
-    <item key="NCTHA" msgid="">THEATRE ARTS</item>
-    <item key="NCHIS" msgid="">HISTORY</item>
-    <item key="PNHIS" msgid="">PRE-NCE HISTORY</item>
-    <item key="NCMUSDM" msgid="">MUSIC</item>
-    <item key="NCMUSENG" msgid="">MUSIC/ENGLISH</item>
-    <item key="PNMUS" msgid="">PRE-NCE MUSIC</item>
-    <item key="NCMUSFRE" msgid="">MUSIC/FRENCH</item>
-    <item key="PNECO" msgid="">PRE-NCE ECONOMICS</item>	
-    <item key="PNGEO" msgid="">PRE-NCE SYLLABUS GEOGRAPHY</item>
-    <item key="PNPOL" msgid="">PRE-NCE POLITICAL SCIENCE</item>
-    <item key="NCSOSARA" msgid="">SOCIAL STUDIES/ARABIC</item>
-    <item key="NCSOSENG" msgid="">SOCIAL STUDIES/ENGLISH</item>
-    <item key="NCSOSFRE" msgid="">SOCIAL STUDIES/FRENCH</item>
-    <item key="NCSOSHAU" msgid="">SOCIAL STUDIES/HAUSA</item>
-    <item key="NCSOSIGB" msgid="">SOCIAL STUDIES/IGBO</item>
-    <item key="NCSOSISC" msgid="">SOCIAL STUDIES/INTEGRATED SCIENCE</item>
-    <item key="NCSOSMAT" msgid="">SOCIAL STUDIES/MATHEMATICS</item>
-    <item key="NCSOSYOR" msgid=""> SOCIAL STUDIES/YORUBA</item>
-    <item key="PNSOS" msgid="">PRE-NCE SOCIAL STUDIES</item>
-    <item key="NCMUSSOS" msgid="">SOCIAL STUDIES/MUSIC</item>
-    <item key="NCCCA" msgid="">CULTURAL AND CREATIVE ARTS</item>
-    <item key="PNCCA" msgid="">PRE-NCE CULTURAL AND CREATIVE ARTS</item>
-    <item key="NCCRSENG" msgid="">CHRISTIAN RELIGIOUS KNOWLEDGE/ENGLISH</item>
-    <item key="NCCRSFRE" msgid="">CHRISTIAN RELIGIOUS KNOWLEDGE/FRENCH</item>
-    <item key="NCCRSHAU" msgid="">CHRISTIAN RELIGIOUS KNOWLEDGE/HAUSA</item>
-    <item key="NCCRSIGB" msgid="">CHRISTIAN RELIGIOUS KNOWLEDGE/IGBO</item>
-    <item key="NCCRSSOS" msgid="">CHRISTIAN RELIGIOUS KNOWLEDGE/SOCIAL STUDIES</item>
-    <item key="NCCRSYOR" msgid="">CHRISTIAN RELIGIOUS KNOWLEDGE/YORUBA</item>
-    <item key="NCMUSCRS" msgid="">CHRISTIAN RELIGIOUS KNOWLEDGE/MUSIC</item>
-    <item key="PNCRS" msgid="">PRE-NCE CHRISTIAN RELIGIOUS STUDIES</item>
-    <item key="NCARAPES" msgid="">PRIMARY EDUCATION STUDIES/ARABIC</item>
-    <item key="NCCRSPES" msgid="">PRIMARY EDUCATION STUDIES/CHRISTIAN RELIGIOUS STUDIES</item>
-    <item key="NCENGPES" msgid="">PRIMARY EDUCATION STUDIES/ENGLISH</item>
-    <item key="NCFREPES" msgid="">PRIMARY EDUCATION STUDIES/FRENCH</item>
-    <item key="NCISSPES" msgid="">PRIMARY EDUCATION STUDIES/ISLAMIC STUDIES</item>
-    <item key="NCMATPES" msgid="">PRIMARY EDUCATION STUDIES/MATHEMATICS</item>
-    <item key="NCMUSPES" msgid="">PRIMARY EDUCATION STUDIES/MUSIC</item>
-    <item key="NCPESHAU" msgid="">PRIMARY EDUCATION STUDIES/HAUSA</item>
-    <item key="NCPESIGB" msgid="">PRIMARY EDUCATION STUDIES/IGBO</item>
-    <item key="NCPESYOR" msgid="">PRIMARY EDUCATION STUDIES/YORUBA</item>
-    <item key="NCSOSPES" msgid="">PRIMARY EDUCATION STUDIES/SOCIAL STUDIES</item>
-    <item key="NCENGHAU" msgid="">ENGLISH/HAUSA</item>
-    <item key="PNENG" msgid="">PRE-NCE ENGLISH</item>
-    <item key="NCFREENG" msgid="">FRENCH/ENGLISH</item>
-    <item key="PNFRE" msgid="">PRE-NCE FRENCH</item>
-    <item key="NCFREHAU" msgid="">FRENCH/HAUSA</item>
-    <item key="NCFREYOR" msgid="">FRENCH/YORUBA</item>
-    <item key="NCARAENG" msgid="">ARABIC/ENGLISH</item>
-    <item key="NCARAHAU" msgid="">ARABIC/HAUSA</item>
-    <item key="PNARB" msgid="">PRE-NCE ARABIC</item>
-    <item key="NCARAFRE" msgid="">ARABIC/FRENCH</item>
-    <item key="NCARAYOR" msgid="">ARABIC/YORUBA</item>
-    <item key="NCIGBENG" msgid="">IGBO/ENGLISH</item>
-    <item key="NCIGBFRE" msgid="">IGBO/FRENCH</item>
-    <item key="NCMUSIGB" msgid="">IGBO/MUSIC</item>
-    <item key="PNIGB" msgid="">PRE-NCE IGBO</item>
-    <item key="NCMUSYOR" msgid="">YORUBA/MUSIC</item>
-    <item key="NCYORENG" msgid="">YORUBA/ENGLISH</item>
-    <item key="NCYORIGBO" msgid="">YORUBA/IGBO</item>
-    <item key="PNYOR" msgid="">PRE-NCE YORUBA</item>
-    <item key="NCHAUYOR" msgid="">HAUSA/YORUBA</item>
-    <item key="PNHAU" msgid="">PRE-NCE HAUSA</item>
-    <item key="NCHAUMUS" msgid="">HAUSA/MUSIC</item>
-    <item key="NCHAUIGB" msgid="">HAUSA/IGBO</item>
-    <item key="NCCSCISC" msgid="">COMPUTER SCIENCE/INTEGRATED SCIENCE</item>
-    <item key="NCCSCMAT" msgid="">COMPUTER SCIENCE/MATHEMATICS</item>
-    <item key="NCCSCPES" msgid="">COMPUTION EDUCATION/PRIMARY EDUCATION</item>
-    <item key="NCISCPES" msgid="">PRIMARY EDUCATION STUDIES/INTEGRATED SCIENCE</item>
-    <item key="NCISCDM" msgid="">INTEGRATED SCIENCE</item>
-    <item key="NCPHE" msgid="">PHYSICAL AND HEALTH EDUCATION</item>
-    <item key="NCBIOCSC" msgid="">BIOLOGY/COMPUTER SCIENCE</item>
-    <item key="NCBIOISC" msgid="">BIOLOGY/INTEGRATED SCIENCE</item>
-    <item key="NCBIOMAT" msgid="">BIOLOGY/MATHEMATICS</item>
-    <item key="PNBIO" msgid="">PRE-NCE BIOLOGY</item>
-    <item key="NCBIOCHE" msgid="">BIOLOGY/CHEMISTRY</item>
-    <item key="NCBIOPES" msgid="">BIOLOGY/PRIMARY EDUCATION</item>
-    <item key="NCBIOPHY" msgid="">BIOLOGY/PHYSICS</item>
-    <item key="NCCHECSC" msgid="">CHEMISTRY/COMPUTER SCIENCE</item>
-    <item key="NCCHEISC" msgid="">CHEMISTRY/INTEGRATED SCIENCE</item>
-    <item key="NCCHEMAT" msgid="">CHEMISTRY/MATHEMATICS</item>
-    <item key="PNCHE" msgid="">PRE-NCE CHEMISTRY</item>
-    <item key="NCCHEPES" msgid="">CHEMISTRY/PRIMARY EDUCATION</item>
-    <item key="NCCHEPHY" msgid="">CHEMISTRY/PHYSICS</item>
-    <item key="PNHED" msgid="">PRE-NCE HEALTH EDUCATION</item>
-    <item key="NCMATISC" msgid="">MATHEMATICS/INTEGRATED SCIENCE</item>
-    <item key="PNMAT" msgid="">PRE-NCE MATHEMATICS</item>
-    <item key="PNPED" msgid="">PRE-NCE PHYSICAL EDUCATION</item>
-    <item key="NCPHYCSC" msgid="">PHYSICS/COMPUTER SCIENCE</item>
-    <item key="NCPHYISC" msgid="">PHYSICS/INTEGRATED SCIENCE</item>
-    <item key="NCPHYMAT" msgid="">PHYSICS/MATHEMATICS</item>
-    <item key="PNPHY" msgid="">PRE-NCE PHYSICS</item>
-    <item key="NCPHYPES" msgid="">PHYSICS/PRIMARY EDUCATION STUDIES</item>
-    <item key="NCAGEDM" msgid="">AGRICULTURAL EDUCATION</item>
-    <item key="PNAGE" msgid="">PRE-NCE AGRICULTURAL EDUCATION</item>
-    <item key="NCBEDDM" msgid="">BUSINESS EDUCATION</item>  
-    <item key="PNBED" msgid="">PRE-NCE BUSINESS EDUCATION</item>
-    <item key="NCFAADM" msgid="">FINE AND APPLIED ARTS</item>
-    <item key="PNFAA" msgid="">PRE-NCE FINE AND APPLIED ARTS</item>
-    <item key="NCHECDM" msgid=""> HOME ECONOMICS</item>
-    <item key="PNHEC" msgid="">PRE-NCE HOME ECONOMICS</item>
-    <item key="PNTED" msgid="">PRE-NCE TECHNICAL EDUCATION</item>
- 
+
 </object>
Index: WAeUP_SRP/fceokene/profiles/default/vocabularies/local_gov_areas.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/vocabularies/local_gov_areas.xml	(revision 2525)
+++ WAeUP_SRP/fceokene/profiles/default/vocabularies/local_gov_areas.xml	(revision 2542)
@@ -279,5 +279,5 @@
     <item key="edo_egor" msgid="">Edo / Egor</item>
     <item key="edo_esan-central" msgid="">Edo / Esan-Central</item>
-    <item key="edo_esan-north-east_" msgid="">Edo / Esan-North-East</item>
+    <item key="edo_esan-north-east" msgid="">Edo / Esan-North-East</item>
     <item key="edo_esan-south-east" msgid="">Edo / Esan-South-East</item>
     <item key="edo_esan-west" msgid="">Edo / Esan-West</item>