Index: WAeUP_SRP/base/WAeUPTool.py
===================================================================
--- WAeUP_SRP/base/WAeUPTool.py	(revision 2547)
+++ WAeUP_SRP/base/WAeUPTool.py	(revision 2548)
@@ -1228,5 +1228,5 @@
             self.applicants_catalog.addRecord(**mapping)
         except ValueError:
-            return '', "arecord already exists: %s" % reg_no
+            return '', "applicant record with reg_no %s already exists" % reg_no
         return reg_no,''
     ###)
@@ -1239,5 +1239,5 @@
             self.applicants_catalog.modifyRecord(**mapping)
         except KeyError:
-            return '', "record with reg_no %s does not exist" % reg_no
+            return '', "applicant record with reg_no %s does not exist" % reg_no
         return reg_no,''
     ###)
Index: WAeUP_SRP/fceokene/waeup_custom/apply_admission_manage_form.pt
===================================================================
--- WAeUP_SRP/fceokene/waeup_custom/apply_admission_manage_form.pt	(revision 2548)
+++ WAeUP_SRP/fceokene/waeup_custom/apply_admission_manage_form.pt	(revision 2548)
@@ -0,0 +1,102 @@
+<tal:block define="rendered_main options/rendered|nothing;
+           portal_status_message options/psm|nothing;
+           reg_no options/reg_no|nothing;
+           ds options/ds|nothing;
+           "
+           >	
+  <metal:block define-macro="edit_form">
+    <metal:block use-macro="here/main_template/macros/master">
+      <metal:block fill-slot="main">
+
+        <form action="" id="editForm" method="post" 
+              enctype="multipart/form-data" class="workflow"
+              tal:attributes="action string:${context/absolute_url}/apply_admission_manage"
+              >
+
+          <span tal:condition="not: rendered_main">
+            <h3>Application Process</h3>
+            <br />
+            
+            <table tal:define="info_applicants context/getApplicantsStatistics">
+            <tr> 
+              <td>PCE Applications - submitted:</td> 
+              <td><span tal:replace="info_applicants/submitted_pce" /></td>  
+            </tr>
+            <tr> 
+              <td>Pre-NCE Applications - submitted:</td> 
+              <td><span tal:replace="info_applicants/admitted_prence" /></td>  
+            </tr>
+            </table>            
+            
+            <br/>
+            
+            <div class="label">Registration No:</div>
+            <input type="text" name="reg_no" size="15"
+                   />
+            <input type="submit" class="standalone" 
+                   name="search"
+                   value="Search" 
+                   />
+          </span>
+
+          <span tal:condition="rendered_main">
+            <h3>Application Record <span tal:replace="reg_no"/></h3>
+            <br />
+            <div tal:replace="structure rendered_main" />
+                        
+            <input type="hidden" name="reg_no"
+                   tal:attributes="value reg_no|nothing"
+                   />
+            <input type="submit" class="standalone" 
+                   name="reset"
+                   value="Reset" 
+                   tal:condition="python: 'submitted' in ds['status']"
+                   />
+                   
+                   
+                   
+                   
+                   
+            <input type="submit" class="standalone" 
+                   name="edit"
+                   value="Save" 
+                   />                   
+                   
+                   
+                   
+                   
+                   
+            <br /><br />
+            
+
+            <div class="label">Registration No:</div>
+            <input type="text" name="new_reg_no" size="15"
+                   /> &nbsp;
+            <input type="submit" class="standalone" 
+                   name="search"
+                   value="Search next" 
+                   />
+          </span>
+        </form>
+        
+        <br/>
+        
+        <form action="" id="editForm" method="post" 
+            enctype="multipart/form-data" class="workflow"
+            tal:attributes="action string:${context/absolute_url}/apply_admission"
+            tal:condition="rendered_main"
+            >
+        <input type="hidden" name="reg_no"
+               tal:attributes="value ds/reg_no|nothing"
+               tal:condition="ds/reg_no|nothing"/>
+        <input type="submit" 
+               class="standalone" 
+               name="manage"
+               value="Assume Applicant's Role"
+               />             
+        </form>          
+        
+      </metal:block>
+    </metal:block>
+  </metal:block>
+</tal:block>
Index: WAeUP_SRP/fceokene/waeup_custom/getApplicantsStatistics.py
===================================================================
--- WAeUP_SRP/fceokene/waeup_custom/getApplicantsStatistics.py	(revision 2548)
+++ WAeUP_SRP/fceokene/waeup_custom/getApplicantsStatistics.py	(revision 2548)
@@ -0,0 +1,35 @@
+## Script (Python) "getApplicantsStatistics"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=
+##title=
+##
+# $Id: getApplicantsStatistics.py 1277 2007-01-11 21:11:37Z joachim $
+"""
+return Student Statistics
+"""
+
+import logging
+logger = logging.getLogger('Skins.getApplicantsStatistics')
+
+logger.info('%s invoked statistics' % context.portal_membership.getAuthenticatedMember())
+if not context.isStaff():
+    return 'Not allowed'
+
+
+info = {}
+
+res_submitted_pce = context.applicants_catalog(status = 'submitted', screening_type = 'pce')
+res_admitted_prence = context.applicants_catalog(status = 'submitted', screening_type = 'prence')
+
+info['submitted_pce'] = len(res_submitted_pce)
+info['admitted_prence'] = len(res_admitted_prence)
+
+return info
+
+
+
+