Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml	(revision 2557)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml	(revision 2558)
@@ -700,10 +700,10 @@
 
   <widget name="course_admitted" meta_type="Select Widget">
-    <property name="title">Course of Study (admitted)</property>
+    <property name="title">Admitted Course of Study</property>
     <property name="fields">
       <element value="course_admitted"/>
     </property>
-    <property name="label">Course of Study (admitted)</property>
-    <property name="label_edit">Course of Study (admitted)</property>
+    <property name="label">Admitted Course of Study</property>
+    <property name="label_edit">Admitted Course of Study</property>
     <property name="description"></property>
     <property name="help"></property>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_pce.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_pce.xml	(revision 2557)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_pce.xml	(revision 2558)
@@ -94,10 +94,10 @@
  </widget>
  <widget name="course_admitted" meta_type="Select Widget">
-  <property name="title">Course of Study (admitted)</property>
+  <property name="title">Admitted Course of Study</property>
   <property name="fields">
    <element value="course_admitted"/>
   </property>
-  <property name="label">Course of Study (admitted)</property>
-  <property name="label_edit">Course of Study (admitted)</property>
+  <property name="label">Admitted Course of Study</property>
+  <property name="label_edit">Admitted Course of Study</property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml	(revision 2557)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml	(revision 2558)
@@ -714,10 +714,10 @@
   </widget>
   <widget name="course_admitted" meta_type="Select Widget">
-    <property name="title">Course of Study (admitted)</property>
+    <property name="title">Admitted Course of Study</property>
     <property name="fields">
       <element value="course_admitted"/>
     </property>
-    <property name="label">Course of Study (admitted)</property>
-    <property name="label_edit">Course of Study (admitted)</property>
+    <property name="label">Admitted Course of Study</property>
+    <property name="label_edit">Admitted Course of Study</property>
     <property name="description"></property>
     <property name="help"></property>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml	(revision 2557)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml	(revision 2558)
@@ -661,10 +661,10 @@
   </widget>
   <widget name="course_admitted" meta_type="Select Widget">
-    <property name="title">Course of Study (admitted)</property>
+    <property name="title">Admitted Course of Study</property>
     <property name="fields">
       <element value="course_admitted"/>
     </property>
-    <property name="label">Course of Study (admitted)</property>
-    <property name="label_edit">Course of Study (admitted)</property>
+    <property name="label">Admitted Course of Study</property>
+    <property name="label_edit">Admitted Course of Study</property>
     <property name="description"></property>
     <property name="help"></property>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml	(revision 2557)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml	(revision 2558)
@@ -649,10 +649,10 @@
 
   <widget name="course_admitted" meta_type="Select Widget">
-    <property name="title">Course of Study (admitted)</property>
+    <property name="title">Admitted Course of Study</property>
     <property name="fields">
       <element value="course_admitted"/>
     </property>
-    <property name="label">Course of Study (admitted)</property>
-    <property name="label_edit">Course of Study (admitted)</property>
+    <property name="label">Admitted Course of Study</property>
+    <property name="label_edit">Admitted Course of Study</property>
     <property name="description"></property>
     <property name="help"></property>
Index: /WAeUP_SRP/fceokene/profiles/default/layouts/import_application.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/layouts/import_application.xml	(revision 2557)
+++ /WAeUP_SRP/fceokene/profiles/default/layouts/import_application.xml	(revision 2558)
@@ -616,10 +616,10 @@
   </widget>
   <widget name="course_admitted" meta_type="Select Widget">
-    <property name="title">Course of Study (admitted)</property>
+    <property name="title">Admitted Course of Study</property>
     <property name="fields">
       <element value="course_admitted"/>
     </property>
-    <property name="label">Course of Study (admitted)</property>
-    <property name="label_edit">Course of Study (admitted)</property>
+    <property name="label">Admitted Course of Study</property>
+    <property name="label_edit">Admitted Course of Study</property>
     <property name="description"></property>
     <property name="help"></property>