Index: /WAeUP_SRP/uniben/profiles/default/layouts/application_pce.xml
===================================================================
--- /WAeUP_SRP/uniben/profiles/default/layouts/application_pce.xml	(revision 2568)
+++ /WAeUP_SRP/uniben/profiles/default/layouts/application_pce.xml	(revision 2569)
@@ -112,18 +112,25 @@
   <property name="sorted">True</property>
  </widget>
- <widget name="date_of_birth" meta_type="DateTime Widget">
-  <property name="title">Date of Birth</property>
-  <property name="fields">
-   <element value="date_of_birth"/>
-  </property>
-  <property name="label">Date of Birth</property>
-  <property name="label_edit">Date of Birth</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="css_class_expr">string:row</property>
- </widget>
+  <widget name="date_of_birth" meta_type="DateTime Widget">
+    <property name="title">Date of Birth</property>
+    <property name="fields">
+      <element value="date_of_birth"/>
+    </property>
+    <property name="label">Date of Birth</property>
+    <property name="label_edit">Date of Birth (dd/mm/yyyy)</property>
+    <property name="description"></property>
+    <property name="is_required">False</property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes"/>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="view_format">%d/%m/%Y</property>
+    <property name="time_setting">False</property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
  <widget name="department" meta_type="String Widget">
   <property name="title">Department</property>
@@ -237,16 +244,4 @@
    <element value="create"/>
   </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="css_class_expr">string:row</property>
- </widget>
- <widget name="lga" meta_type="WAeUP LGA Widget">
-  <property name="title">LGA</property>
-  <property name="fields">
-   <element value="lga"/>
-  </property>
-  <property name="label">LGA</property>
-  <property name="label_edit">LGA</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
   <property name="css_class_expr">string:row</property>
@@ -412,16 +407,4 @@
   <property name="css_class_expr">string:row</property>
  </widget>
- <widget name="state" meta_type="WAeUP LGA Widget">
-  <property name="title">State</property>
-  <property name="fields">
-   <element value="lga"/>
-  </property>
-  <property name="label">State</property>
-  <property name="label_edit">State</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="css_class_expr">string:row</property>
- </widget>
  <widget name="status" meta_type="String Widget">
   <property name="title">Application Status</property>
@@ -532,4 +515,5 @@
   <property name="vocabulary">jamb_subjects</property>
  </widget>
+ 
  <widget name="subj3score" meta_type="Int Widget">
   <property name="title">Subject 3 Score</property>
@@ -546,4 +530,84 @@
   <property name="css_class_expr">string:row</property>
  </widget>
+ 
+  <widget name="jamb_age" meta_type="String Widget">
+    <property name="title">Age</property>
+    <property name="fields">
+      <element value="jamb_age"/>
+    </property>
+    <property name="label">Age</property>
+    <property name="label_edit">Age</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  <widget name="jamb_state" meta_type="String Widget">
+    <property name="title">State (provided by JAMB)</property>
+    <property name="fields">
+      <element value="jamb_state"/>
+    </property>
+    <property name="label">State (provided by JAMB)</property>
+    <property name="label_edit">State (provided by JAMB)</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  
+  <widget name="jamb_lga" meta_type="String Widget">
+    <property name="title">LGA (provided by JAMB)</property>
+    <property name="fields">
+      <element value="jamb_lga"/>
+    </property>
+    <property name="label">LGA (provided by JAMB)</property>
+    <property name="label_edit">LGA (provided by JAMB)</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="css_class_expr">string:row</property>
+  </widget>
+  
+ <widget name="lga" meta_type="Select Widget">
+  <property name="title">State/LGA</property>
+  <property name="fields">
+   <element value="lga"/>
+  </property>
+  <property name="label">State/LGA</property>
+  <property name="label_edit">State/LGA (confirmed by applicant)</property>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+  <property name="vocabulary">local_gov_areas</property>
+  <property name="sorted">True</property>
+ </widget>   
+ 
  <table>
   <row>
@@ -562,5 +626,24 @@
    <cell name="lastname" ncols="2"/>
   </row>
-  <row>
+
+  <row>
+   <cell name="jamb_age" ncols="2"/>
+  </row>
+
+  <row>
+   <cell name="date_of_birth" ncols="2"/>
+  </row>
+
+  <row>
+   <cell name="jamb_state" ncols="2"/>
+  </row>
+  <row>
+   <cell name="jamb_lga" ncols="2"/>
+  </row>
+  <row>
+   <cell name="lga" ncols="2"/>
+  </row>  
+  
+  <row>    
    <cell name="email" ncols="2"/>
   </row>