Index: WAeUP_SRP/uniben/profiles/default/layouts.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts.xml	(revision 2573)
+++ WAeUP_SRP/uniben/profiles/default/layouts.xml	(revision 2574)
@@ -14,5 +14,5 @@
   <object name="certificate_course" meta_type="CPS Layout"/>
   <object name="course" meta_type="CPS Layout"/>
-  
+
   <object name="import_certificate_course" meta_type="CPS Layout"/>
   <object name="import_certificate" meta_type="CPS Layout"/>
@@ -23,5 +23,5 @@
   <object name="import_application" meta_type="CPS Layout"/>
   <object name="import_faculty" meta_type="CPS Layout"/>
-  
+
   <object name="department" meta_type="CPS Layout"/>
   <object name="faculty" meta_type="CPS Layout"/>
@@ -37,5 +37,4 @@
   <object name="student_accommodation_fe" meta_type="CPS Layout"/>
   <object name="student_application" meta_type="CPS Layout"/>
-  <object name="student_application_fe" meta_type="CPS Layout"/>
   <object name="student_application_search" meta_type="CPS Layout"/>
   <object name="student_session_results_search" meta_type="CPS Layout"/>
Index: WAeUP_SRP/uniben/profiles/default/layouts/student_application.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/student_application.xml	(revision 2573)
+++ WAeUP_SRP/uniben/profiles/default/layouts/student_application.xml	(revision 2574)
@@ -5,5 +5,5 @@
  <property name="layout_edit_method"></property>
  <property name="layout_view_method"></property>
- <property name="style_prefix">layout_waeup_</property>
+ <property name="style_prefix">layout_application_</property>
  <property name="flexible_widgets"/>
  <property name="validate_values_expr"></property>
@@ -67,5 +67,7 @@
   <property name="label">Mode of Entry</property>
   <property name="label_edit">Mode of Entry</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes">
    <element value="create"/>
@@ -82,4 +84,5 @@
   <property name="label_edit">Entry Session</property>
   <property name="readonly_layout_modes">
+   <element value="edit"/>
   </property>
   <property name="hidden_layout_modes">
@@ -97,5 +100,7 @@
   <property name="label_edit">Age</property>
   <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -107,19 +112,11 @@
   <property name="label">JAMB First Choice Course of Study</property>
   <property name="label_edit">JAMB First Choice Course of Study</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="jamb_first_uni" meta_type="String Widget">
-  <property name="title">JAMB First Choice University</property>
-  <property name="fields">
-   <element value="jamb_first_uni"/>
-  </property>
-  <property name="label">JAMB First Choice University</property>
-  <property name="label_edit">JAMB First Choice University</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
  <widget name="jamb_firstname" meta_type="String Widget">
   <property name="title">First Name</property>
@@ -140,5 +137,5 @@
    <element value="jamb_lastname"/>
   </property>
-  <property name="label">Last Name</property>
+  <property name="label">Surname / Full Name</property>
   <property name="label_edit">Last Name</property>
   <property name="readonly_layout_modes">
@@ -155,5 +152,7 @@
   <property name="label">Local Government Area</property>
   <property name="label_edit">Local Government Area</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -192,5 +191,7 @@
   <property name="label">JAMB Score</property>
   <property name="label_edit">JAMB Score</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -203,19 +204,11 @@
   <property name="label">JAMB Second Choice Course of Study</property>
   <property name="label_edit">JAMB Second Choice Course of Study</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="jamb_second_uni" meta_type="String Widget">
-  <property name="title">JAMB Second Choice University</property>
-  <property name="fields">
-   <element value="jamb_second_uni"/>
-  </property>
-  <property name="label">JAMB Second Choice University</property>
-  <property name="label_edit">JAMB Second Choice University</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes"/>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>
+
  <widget name="jamb_sex" meta_type="String Widget">
   <property name="title">Sex</property>
@@ -225,5 +218,7 @@
   <property name="label">Sex</property>
   <property name="label_edit">Sex</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -238,5 +233,7 @@
   <property name="label">State</property>
   <property name="label_edit">State</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
@@ -276,4 +273,153 @@
   <property name="show_image">True</property>
   </widget>
+
+<widget name="screening_application_date" meta_type="DateTime Widget">
+ <property name="title">Screening Application Date</property>
+ <property name="fields">
+  <element value="screening_application_date"/>
+ </property>
+ <property name="label">Screening Application Date</property>
+ <property name="label_edit">Screening Application Date</property>
+    <property name="readonly_layout_modes">
+        <element value="edit"/>
+    </property>
+ <property name="hidden_layout_modes">
+  <element value="create"/>
+ </property>
+ <property name="hidden_readonly_layout_modes"/>
+  <property name="view_format">%d/%m/%Y</property>
+  <property name="time_setting">False</property>
+</widget> 
+ 
+ 
+<widget name="date_of_birth" meta_type="DateTime Widget">
+ <property name="title">Date of Birth</property>
+ <property name="fields">
+  <element value="date_of_birth"/>
+ </property>
+ <property name="label">Date of Birth</property>
+ <property name="label_edit">Date of Birth</property>
+ <property name="readonly_layout_modes">
+  <element value="edit"/>
+ </property>
+ <property name="hidden_layout_modes">
+  <element value="create"/>
+ </property>
+ <property name="hidden_readonly_layout_modes"/>
+  <property name="view_format">%d/%m/%Y</property>
+  <property name="time_setting">False</property>
+</widget>  
+ 
+ 
+ <widget name="screening_type" meta_type="String Widget">
+  <property name="title">Screening Type</property>
+  <property name="fields">
+   <element value="screening_type"/>
+  </property>
+  <property name="label">Screening Type</property>
+  <property name="label_edit">Screening Type</property>
+    <property name="readonly_layout_modes">
+        <element value="edit"/>
+    </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>  
+ 
+ <widget name="screening_score" meta_type="String Widget">
+  <property name="title">Screening Score</property>
+  <property name="fields">
+   <element value="screening_score"/>
+  </property>
+  <property name="label">Screening Score</property>
+  <property name="label_edit">Screening Score</property>
+    <property name="readonly_layout_modes">
+        <element value="edit"/>
+    </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
+  <property name="hidden_readonly_layout_modes"/>
+ </widget>     
+ 
+<widget name="screening_date" meta_type="DateTime Widget">
+ <property name="title">Screening Date</property>
+ <property name="fields">
+  <element value="screening_date"/>
+ </property>
+ <property name="label">Screening Date</property>
+ <property name="label_edit">Screening Date</property>
+    <property name="readonly_layout_modes">
+        <element value="edit"/>
+    </property>
+ <property name="hidden_layout_modes">
+  <element value="create"/>
+ </property>
+ <property name="hidden_readonly_layout_modes"/>
+  <property name="view_format">%d/%m/%Y</property>
+  <property name="time_setting">False</property>
+</widget> 
+ 
+
+  <widget name="hq_type" meta_type="Select Widget">
+    <property name="title">Higher Qualification</property>
+    <property name="fields">
+    <element value="hq_type"/>
+    </property>
+    <property name="label">Higher Qualification</property>
+    <property name="label_edit">Higher Qualification</property>
+    <property name="description">Higher Qualification Data</property>
+    <property name="readonly_layout_modes">
+        <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+    <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">high_qual</property>
+  </widget>
+
+
+  <widget name="hq_grade" meta_type="Select Widget">
+    <property name="title">Higher Qualification Grade</property>
+    <property name="fields">
+    <element value="hq_grade"/>
+    </property>
+    <property name="label">Higher Qualification Grade</property>
+    <property name="label_edit">Higher Qualification Grade</property>
+    <property name="readonly_layout_modes">
+        <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+        <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">high_grade</property>
+  </widget>
+
+  <widget name="aos" meta_type="Select Widget">
+    <property name="title">Area of Specialisation</property>
+    <property name="fields">
+      <element value="aos"/>
+    </property>
+    <property name="label">Area of Specialisation</property>
+    <property name="label_edit">Area of Specialisation</property>
+    <property name="description"></property>
+    <property name="help"></property>
+    <property name="is_i18n">False</property>
+    <property name="widget_mode_expr"></property>
+    <property name="readonly_layout_modes">
+      <element value="edit"/>
+    </property>
+    <property name="hidden_layout_modes">
+      <element value="create"/>
+    </property>
+    <property name="hidden_readonly_layout_modes"/>
+    <property name="vocabulary">aos</property>
+    <property name="sorted">True</property>
+    <property name="css_class_expr">string:row</property>
+  </widget>     
+  
  <table>
   <row>
@@ -308,4 +454,7 @@
   </row>
   <row>
+   <cell name="date_of_birth" ncols="3"/>
+  </row>  
+  <row>
    <cell name="jamb_state" ncols="3"/>
   </row>
@@ -328,16 +477,39 @@
    <cell name="jamb_second_cos" ncols="3"/>
   </row>
-  <row>
-   <cell name="jamb_first_uni" ncols="3"/>
-  </row>
-  <row>
-   <cell name="jamb_second_uni" ncols="3"/>
-  </row>
+
+  
+ 
+  <row>
+   <cell name="hq_type" ncols="2"/>
+  </row>
+  <row>
+   <cell name="hq_grade" ncols="2"/>
+  </row>
+  <row>
+   <cell name="aos" ncols="2"/>
+  </row>  
+
+  <row>
+   <cell name="screening_type" ncols="3"/>
+  </row>  
+  <row>
+   <cell name="screening_application_date" ncols="3"/>
+  </row>
+  <row>
+   <cell name="screening_score" ncols="3"/>
+  </row>
+  <row>
+   <cell name="screening_date" ncols="3"/>
+  </row>  
+  
+  
+  <row>
+   <cell name="passport" ncols="3"/>
+  </row>
+  
   <row>
    <cell name="objection_date" ncols="3"/>
   </row>
-  <row>
-   <cell name="passport" ncols="3"/>
-  </row>
+  
  </table>
 </object>
Index: WAeUP_SRP/uniben/profiles/default/layouts/student_application_fe.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/student_application_fe.xml	(revision 2573)
+++ 	(revision )
@@ -1,299 +1,0 @@
-<?xml version="1.0"?>
-<?xml-stylesheet type="text/xsl" href="layout.xsl"?>
-<object name="student_application_fe" meta_type="CPS Layout">
- <property name="layout_create_method">layout_enter_access_code</property>
- <property name="layout_edit_method"></property>
- <property name="layout_view_method"></property>
- <property name="style_prefix">layout_application_</property>
- <property name="flexible_widgets"/>
- <property name="validate_values_expr"></property>
- <widget name="app_ac_date" meta_type="DateTime Widget">
-  <property name="title">Application Date</property>
-  <property name="fields">
-   <element value="app_ac_date"/>
-  </property>
-  <property name="label">Application Date</property>
-  <property name="label_edit">Application Date</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">%d/%m/%Y</property>
-  <property name="time_setting">False</property>
- </widget>
- <widget name="app_ac_pin" meta_type="Scratchcard Pin Widget">
-  <property name="title">Access Code</property>
-  <property name="fields">
-   <element value="app_ac_pin"/>
-  </property>
-  <property name="is_required">False</property>
-  <property name="label">Access Code</property>
-  <property name="label_edit">Access Code</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="prefix">APP</property>
-  <property name="reference">jamb_reg_no</property>
-  </widget>
-<widget name="objection_date" meta_type="DateTime Widget">
- <property name="title">Objection Date</property>
- <property name="fields">
-  <element value="objection_date"/>
- </property>
- <property name="label">Objection Date</property>
- <property name="label_edit">Objection Date</property>
- <property name="readonly_layout_modes">
-  <element value="edit"/>
- </property>
- <property name="hidden_layout_modes">
-  <element value="create"/>
- </property>
- <property name="hidden_readonly_layout_modes"/>
-  <property name="view_format">%d/%m/%Y</property>
-  <property name="time_setting">False</property>
-</widget>
- <widget name="entry_mode" meta_type="Select Widget">
-  <property name="title">Mode of Entry</property>
-  <property name="fields">
-   <element value="entry_mode"/>
-  </property>
-  <property name="label">Mode of Entry</property>
-  <property name="label_edit">Mode of Entry</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">entry_modes</property>
- </widget>
- <widget name="entry_session" meta_type="Select Widget">
-  <property name="title">Entry Session</property>
-  <property name="fields">
-   <element value="entry_session"/>
-  </property>
-  <property name="label">Entry Session</property>
-  <property name="label_edit">Entry Session</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="vocabulary">sessions</property>
- </widget>
- <widget name="app_email" meta_type="Email Widget">
-  <property name="title">Email Address</property>
-  <property name="fields">
-   <element value="app_email"/>
-  </property>
-  <property name="label">Email Address</property>
-  <property name="label_edit">Email Address</property>
-  <property name="is_required">False</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes">
-    <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="app_mobile" meta_type="String Widget">
-  <property name="title">Mobile Phone No</property>
-  <property name="fields">
-   <element value="app_mobile"/>
-  </property>
-  <property name="label">Mobile Phone No</property>
-  <property name="is_required">False</property>
-  <property name="label_edit">Mobile Phone No</property>
-  <property name="readonly_layout_modes">
-  </property>
-  <property name="hidden_layout_modes">create</property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="jamb_first_cos" meta_type="String Widget">
-  <property name="title">First Choice Course of Study</property>
-  <property name="fields">
-   <element value="jamb_first_cos"/>
-  </property>
-  <property name="label">First Choice Course of Study</property>
-  <property name="label_edit">First Choice Course of Study</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="jamb_firstname" meta_type="String Widget">
-  <property name="title">First Name</property>
-  <property name="fields">
-   <element value="jamb_firstname"/>
-  </property>
-  <property name="label">First Name</property>
-  <property name="label_edit">First Name</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-   <element value="edit"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="jamb_lastname" meta_type="String Widget">
-  <property name="title">Last Name</property>
-  <property name="fields">
-   <element value="jamb_lastname"/>
-  </property>
-  <property name="label">Student's Name</property>
-  <property name="label_edit">Name</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="jamb_middlename" meta_type="String Widget">
-  <property name="title">Middle Name</property>
-  <property name="fields">
-   <element value="jamb_middlename"/>
-  </property>
-  <property name="label">Middle Name</property>
-  <property name="label_edit">Middle Name</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-   <element value="edit"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="jamb_reg_no" meta_type="JambRegNo Widget">
-  <property name="title">Registration Number</property>
-  <property name="fields">
-   <element value="jamb_reg_no"/>
-  </property>
-  <property name="label">Registration Number</property>
-  <property name="label_edit">Registration Number</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="display_width">13</property>
-  <property name="size_max">13</property>
-  <property name="catalog">students_catalog</property>
- </widget>
- <widget name="jamb_second_cos" meta_type="String Widget">
-  <property name="title">Second Choice Course of Study</property>
-  <property name="fields">
-   <element value="jamb_second_cos"/>
-  </property>
-  <property name="label">Second Choice Course of Study</property>
-  <property name="label_edit">Second Choice Course of Study</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="jamb_sex" meta_type="String Widget">
-  <property name="title">Sex</property>
-  <property name="fields">
-   <element value="jamb_sex"/>
-  </property>
-  <property name="label">Sex</property>
-  <property name="label_edit">Sex</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="jamb_state" meta_type="String Widget">
-  <property name="title">State</property>
-  <property name="fields">
-   <element value="jamb_state"/>
-  </property>
-  <property name="label">State of Origin</property>
-  <property name="label_edit">State of Origin</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
- </widget>
- <widget name="passport" meta_type="File Image Widget">
-  <property name="title">Passport Picture</property>
-  <property name="fields">
-   <element value="passport"/>
-  </property>
-  <property name="is_required">False</property>
-  <property name="label">Passport Picture</property>
-  <property name="label_edit">Passport Picture</property>
-  <property
-     name="help">Upload passport photograph with red background.</property>
-  <property name="readonly_layout_modes">
-   <element value="edit"/>
-  </property>
-  <property name="hidden_layout_modes">
-   <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="size_max">204800</property>
-  <property name="display_external_editor">False</property>
-  <property name="display_width">150</property>
-  <property name="display_height">200</property>
-  <property name="allow_resize">True</property>
-  <property name="show_image">True</property>
- </widget>
- <table>
-  <row>
-   <cell name="jamb_reg_no" ncols="3"/>
-  </row>
-  <row>
-   <cell name="app_ac_pin" ncols="3"/>
-  </row>
-  <row>
-   <cell name="app_ac_date" ncols="3"/>
-  </row>
-  <row>
-   <cell name="app_email" ncols="3"/>
-  </row>
-  <row>
-   <cell name="app_mobile" ncols="3"/>
-  </row>
-  <row>
-   <cell name="jamb_lastname" ncols="3"/>
-  </row>
-  <row>
-   <cell name="jamb_sex" ncols="3"/>
-  </row>
-  <row>
-   <cell name="entry_mode" ncols="3"/>
-  </row>
-  <row>
-   <cell name="jamb_state" ncols="3"/>
-  </row>
-  <row>
-   <cell name="passport" ncols="3"/>
-  </row>
- </table>
-</object>
Index: WAeUP_SRP/uniben/profiles/default/schemas/student_application.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/schemas/student_application.xml	(revision 2573)
+++ WAeUP_SRP/uniben/profiles/default/schemas/student_application.xml	(revision 2574)
@@ -2,4 +2,5 @@
 <?xml-stylesheet type="text/xsl" href="schema.xsl"?>
 <object name="student_application" meta_type="CPS Schema">
+
  <field name="app_ac_date" meta_type="CPS DateTime Field"/>
  <field name="app_ac_pin" meta_type="CPS String Field"/>
@@ -10,22 +11,34 @@
  <field name="objection_date" meta_type="CPS DateTime Field"/>
  <field name="jamb_age" meta_type="CPS Int Field"/>
- <field name="jamb_first_cos" meta_type="CPS String Field"/>
- <field name="jamb_first_uni" meta_type="CPS String Field"/>
- <field name="jamb_first_faculty" meta_type="CPS String Field"/>
  <field name="jamb_firstname" meta_type="CPS String Field"/>
  <field name="jamb_lastname" meta_type="CPS String Field">
+ <field name="jamb_middlename" meta_type="CPS String Field"/>
   <property name="is_searchabletext">True</property>
  </field>
  <field name="jamb_lga" meta_type="CPS String Field"/>
- <field name="jamb_middlename" meta_type="CPS String Field"/>
+ <field name="jamb_state" meta_type="CPS String Field"/>
+ 
  <field name="jamb_reg_no" meta_type="CPS String Field">
   <property name="is_searchabletext">True</property>
  </field>
  <field name="jamb_score" meta_type="CPS String Field"/>
+ <field name="jamb_sex" meta_type="CPS String Field"/>
+ 
+ <field name="passport" meta_type="CPS Image Field"/>
+ 
+ <field name="screening_application_date" meta_type="CPS DateTime Field"/>
+ <field name="date_of_birth" meta_type="CPS DateTime Field"/>
+ <field name="jamb_first_cos" meta_type="CPS String Field"/>
  <field name="jamb_second_cos" meta_type="CPS String Field"/>
- <field name="jamb_second_uni" meta_type="CPS String Field"/>
- <field name="jamb_faculty_uni" meta_type="CPS String Field"/>
- <field name="jamb_sex" meta_type="CPS String Field"/>
- <field name="jamb_state" meta_type="CPS String Field"/>
- <field name="passport" meta_type="CPS Image Field"/>
+ <field name="course3" meta_type="CPS String Field"/>
+ <field name="screening_type" meta_type="CPS String Field"/>
+ <field name="screening_score" meta_type="CPS String Field"/>
+ <field name="screening_date" meta_type="CPS DateTime Field"/>
+ <field name="hq_type" meta_type="CPS String Field"/>
+ <field name="hq_grade" meta_type="CPS String Field"/>
+ <field name="aos" meta_type="CPS String Field"/>
+
+ 
 </object>
+
+