Index: WAeUP_SRP/base/WAeUPTool.py
===================================================================
--- WAeUP_SRP/base/WAeUPTool.py	(revision 2575)
+++ WAeUP_SRP/base/WAeUPTool.py	(revision 2576)
@@ -640,5 +640,5 @@
 
     security.declareProtected(ModifyPortalContent,'admitOneStudent') ###(
-    def admitOneStudent(self,brain,entry_session):
+    def admitOneStudent(self,brain,entry_session,pin_password):
         "create Datastructure for an admitted Student"
         #import pdb;pdb.set_trace()
@@ -655,7 +655,9 @@
         students_folder.invokeFactory('Student', student_id)
         student_object = getattr(students_folder,student_id)
-        #password = pin_parts[2]
-        #self.makeStudentMember(student_id,password = password)
-        self.makeStudentMember(student_id)
+        if pin_password:
+            password = pin_parts[2]
+            self.makeStudentMember(student_id,password = password)
+        else:
+            self.makeStudentMember(student_id)
         student_object.manage_setLocalRoles(student_id, ['Owner',])
         #logger.info("creating %s reg_no %s" % (student_id,brain.reg_no))
@@ -668,5 +670,5 @@
         da = {'Title': 'Application Data'}
         da['jamb_reg_no'] = brain.reg_no
-        
+
         sex = 'M'
         if brain.sex:
@@ -706,5 +708,5 @@
         da['hq_grade'] = brain.hq_grade
         da['aos'] = brain.aos
-        
+
         application.getContent().edit(mapping=da)
         #self.portal_workflow.doActionFor(application,'close',dest_container=application)
@@ -721,5 +723,5 @@
         dp['lastname'] = brain.lastname
         dp['middlename'] = brain.middlenames   # different field names!
-        dp['firstname'] = brain.firstname        
+        dp['firstname'] = brain.firstname
         personal.getContent().edit(mapping=dp)
         #
Index: WAeUP_SRP/base/skins/waeup_student/admitStudents.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/admitStudents.py	(revision 2575)
+++ WAeUP_SRP/base/skins/waeup_student/admitStudents.py	(revision 2576)
@@ -23,4 +23,5 @@
 
 entry_session = '07'
+pin_password = False
 
 import logging
@@ -56,5 +57,5 @@
     brain = aq_applicants(Eq('reg_no',reg_no))[0]
     #logger.info("start creating  objects of student %s" % (brain.reg_no))
-    sid = d['student_id'] = context.waeup_tool.admitOneStudent(brain,entry_session)
+    sid = d['student_id'] = context.waeup_tool.admitOneStudent(brain,entry_session,pin_password)
     if sid is not None:
         d['reg_no'] = reg_no
@@ -63,5 +64,5 @@
         admitted += 1
     else:
-        logger.info("could not create  objects of student %s with pin " % (reg_no,brain.pin))
+        logger.info("could not create objects of student %s with pin " % (reg_no,brain.pin))
 
 msg = "finished admitting %d students" % (admitted)
Index: WAeUP_SRP/base/skins/waeup_student/check_admission.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/check_admission.py	(revision 2575)
+++ WAeUP_SRP/base/skins/waeup_student/check_admission.py	(revision 2576)
@@ -22,5 +22,5 @@
 pr = context.portal_registration
 
-res,psm,ds = lt.renderLayout('student_application_fe',
+res,psm,ds = lt.renderLayout('student_application',
                              'student_application',
                              context,
Index: WAeUP_SRP/fceokene/profiles/default/layouts/student_application.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/student_application.xml	(revision 2575)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/student_application.xml	(revision 2576)
@@ -18,5 +18,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">%d/%m/%Y</property>
@@ -45,6 +47,9 @@
   <property name="label">Email Address</property>
   <property name="label_edit">Email Address</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -56,6 +61,10 @@
   <property name="label">Mobile Phone No</property>
   <property name="label_edit">Mobile Phone No</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -99,5 +108,7 @@
   <property name="label">Age</property>
   <property name="label_edit">Age</property>
-  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -115,5 +126,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -129,5 +142,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -142,5 +157,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -155,5 +172,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -168,5 +187,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -194,5 +215,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -207,5 +230,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -221,5 +246,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
   <property name="display_width">1</property>
@@ -236,5 +263,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -265,5 +294,7 @@
      name="help">Upload passport photograph with red background</property>
   <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">204800</property>
@@ -290,7 +321,7 @@
   <property name="view_format">%d/%m/%Y</property>
   <property name="time_setting">False</property>
-</widget> 
- 
- 
+</widget>
+
+
 <widget name="date_of_birth" meta_type="DateTime Widget">
  <property name="title">Date of Birth</property>
@@ -309,7 +340,7 @@
   <property name="view_format">%d/%m/%Y</property>
   <property name="time_setting">False</property>
-</widget>  
- 
- 
+</widget>
+
+
  <widget name="screening_type" meta_type="String Widget">
   <property name="title">Screening Type</property>
@@ -326,6 +357,6 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
- </widget>  
- 
+ </widget>
+
  <widget name="screening_score" meta_type="String Widget">
   <property name="title">Screening Score</property>
@@ -342,6 +373,6 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
- </widget>     
- 
+ </widget>
+
 <widget name="screening_date" meta_type="DateTime Widget">
  <property name="title">Screening Date</property>
@@ -360,6 +391,6 @@
   <property name="view_format">%d/%m/%Y</property>
   <property name="time_setting">False</property>
-</widget> 
- 
+</widget>
+
 
   <widget name="hq_type" meta_type="Select Widget">
@@ -420,8 +451,11 @@
     <property name="sorted">True</property>
     <property name="css_class_expr">string:row</property>
-  </widget>     
-  
+  </widget>
+
  <table>
   <row>
+   <cell name="jamb_reg_no" ncols="3"/>
+  </row>
+  <row>
    <cell name="app_ac_pin" ncols="3"/>
   </row>
@@ -436,7 +470,4 @@
   </row>
   <row>
-   <cell name="jamb_reg_no" ncols="3"/>
-  </row>
-  <row>
    <cell name="jamb_firstname" ncols="3"/>
   </row>
@@ -455,5 +486,5 @@
   <row>
    <cell name="date_of_birth" ncols="3"/>
-  </row>  
+  </row>
   <row>
    <cell name="jamb_state" ncols="3"/>
@@ -478,6 +509,6 @@
   </row>
 
-  
- 
+
+
   <row>
    <cell name="hq_type" ncols="2"/>
@@ -488,9 +519,9 @@
   <row>
    <cell name="aos" ncols="2"/>
-  </row>  
+  </row>
 
   <row>
    <cell name="screening_type" ncols="3"/>
-  </row>  
+  </row>
   <row>
    <cell name="screening_application_date" ncols="3"/>
@@ -501,15 +532,15 @@
   <row>
    <cell name="screening_date" ncols="3"/>
-  </row>  
-  
-  
+  </row>
+
+
   <row>
    <cell name="passport" ncols="3"/>
   </row>
-  
+
   <row>
    <cell name="objection_date" ncols="3"/>
   </row>
-  
+
  </table>
 </object>