Index: WAeUP_SRP/uniben/profiles/default/layouts/student_application.xml
===================================================================
--- WAeUP_SRP/uniben/profiles/default/layouts/student_application.xml	(revision 2574)
+++ WAeUP_SRP/uniben/profiles/default/layouts/student_application.xml	(revision 2577)
@@ -18,5 +18,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
   <property name="view_format">%d/%m/%Y</property>
@@ -45,6 +47,9 @@
   <property name="label">Email Address</property>
   <property name="label_edit">Email Address</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
+  <property name="readonly_layout_modes">
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -56,6 +61,10 @@
   <property name="label">Mobile Phone No</property>
   <property name="label_edit">Mobile Phone No</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -99,5 +108,7 @@
   <property name="label">Age</property>
   <property name="label_edit">Age</property>
-  <property name="readonly_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="readonly_layout_modes">
    <element value="edit"/>
@@ -115,5 +126,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -129,5 +142,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -142,5 +157,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -155,5 +172,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -168,5 +187,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -194,5 +215,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -207,5 +230,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -221,5 +246,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
   <property name="display_width">1</property>
@@ -236,5 +263,7 @@
    <element value="edit"/>
   </property>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
  </widget>
@@ -265,5 +294,7 @@
      name="help">Upload passport photograph with red background</property>
   <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
+  <property name="hidden_layout_modes">
+   <element value="create"/>
+  </property>
   <property name="hidden_readonly_layout_modes"/>
   <property name="size_max">204800</property>
@@ -290,7 +321,7 @@
   <property name="view_format">%d/%m/%Y</property>
   <property name="time_setting">False</property>
-</widget> 
- 
- 
+</widget>
+
+
 <widget name="date_of_birth" meta_type="DateTime Widget">
  <property name="title">Date of Birth</property>
@@ -309,7 +340,7 @@
   <property name="view_format">%d/%m/%Y</property>
   <property name="time_setting">False</property>
-</widget>  
- 
- 
+</widget>
+
+
  <widget name="screening_type" meta_type="String Widget">
   <property name="title">Screening Type</property>
@@ -326,6 +357,6 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
- </widget>  
- 
+ </widget>
+
  <widget name="screening_score" meta_type="String Widget">
   <property name="title">Screening Score</property>
@@ -342,6 +373,6 @@
   </property>
   <property name="hidden_readonly_layout_modes"/>
- </widget>     
- 
+ </widget>
+
 <widget name="screening_date" meta_type="DateTime Widget">
  <property name="title">Screening Date</property>
@@ -360,6 +391,6 @@
   <property name="view_format">%d/%m/%Y</property>
   <property name="time_setting">False</property>
-</widget> 
- 
+</widget>
+
 
   <widget name="hq_type" meta_type="Select Widget">
@@ -420,8 +451,11 @@
     <property name="sorted">True</property>
     <property name="css_class_expr">string:row</property>
-  </widget>     
-  
+  </widget>
+
  <table>
   <row>
+   <cell name="jamb_reg_no" ncols="3"/>
+  </row>
+  <row>
    <cell name="app_ac_pin" ncols="3"/>
   </row>
@@ -436,7 +470,4 @@
   </row>
   <row>
-   <cell name="jamb_reg_no" ncols="3"/>
-  </row>
-  <row>
    <cell name="jamb_firstname" ncols="3"/>
   </row>
@@ -455,5 +486,5 @@
   <row>
    <cell name="date_of_birth" ncols="3"/>
-  </row>  
+  </row>
   <row>
    <cell name="jamb_state" ncols="3"/>
@@ -478,6 +509,6 @@
   </row>
 
-  
- 
+
+
   <row>
    <cell name="hq_type" ncols="2"/>
@@ -488,9 +519,9 @@
   <row>
    <cell name="aos" ncols="2"/>
-  </row>  
+  </row>
 
   <row>
    <cell name="screening_type" ncols="3"/>
-  </row>  
+  </row>
   <row>
    <cell name="screening_application_date" ncols="3"/>
@@ -501,15 +532,15 @@
   <row>
    <cell name="screening_date" ncols="3"/>
-  </row>  
-  
-  
+  </row>
+
+
   <row>
    <cell name="passport" ncols="3"/>
   </row>
-  
+
   <row>
    <cell name="objection_date" ncols="3"/>
   </row>
-  
+
  </table>
 </object>