Index: /WAeUP_SRP/base/WAeUPTables.py
===================================================================
--- /WAeUP_SRP/base/WAeUPTables.py	(revision 2578)
+++ /WAeUP_SRP/base/WAeUPTables.py	(revision 2579)
@@ -517,8 +517,8 @@
 
         records = self.searchResults(student = student_id)
-        if len(records) > 0 and prefix in ('CLR','APP'):
-            for r in records:
-                if r.pin != uid and r.prefix_batch.startswith(prefix):
-                    return -2
+        #if len(records) > 0 and prefix in ('CLR','APP'):
+        #    for r in records:
+        #        if r.pin != uid and r.prefix_batch.startswith(prefix):
+        #            return -2
         records = self.searchResults({"%s" % self.key : uid})
         if len(records) > 1:
Index: /WAeUP_SRP/base/WAeUPTool.py
===================================================================
--- /WAeUP_SRP/base/WAeUPTool.py	(revision 2578)
+++ /WAeUP_SRP/base/WAeUPTool.py	(revision 2579)
@@ -658,6 +658,4 @@
             password = pin_parts[2]
             self.makeStudentMember(student_id,password = password)
-        else:
-            self.makeStudentMember(student_id)
         student_object.manage_setLocalRoles(student_id, ['Owner',])
         #logger.info("creating %s reg_no %s" % (student_id,brain.reg_no))
Index: /WAeUP_SRP/base/skins/cps_custom/logged_in.py
===================================================================
--- /WAeUP_SRP/base/skins/cps_custom/logged_in.py	(revision 2578)
+++ /WAeUP_SRP/base/skins/cps_custom/logged_in.py	(revision 2579)
@@ -149,6 +149,9 @@
         # 1. add pin and application date to app_doc
 
-        if s_review_state in ("student_created","admitted") and\
-                             a_review_state == 'created' :
+        if s_review_state == "student_created":
+            wftool.doActionFor(student,'admit')
+            s_review_state = 'admitted'        
+
+        if s_review_state == "admitted" and a_review_state == 'created':
             wftool.doActionFor(student_app,'open')
             #if student_pume is not None:
@@ -231,5 +234,5 @@
                     lnr = context.getLevelFromResultsCosCode(has_results)
                     dsc['current_level'] = "%d00" % lnr
-                elif not has_level and s_review_state == 'school_fee_paid':	
+                elif not has_level and s_review_state == 'school_fee_paid':
                     lnr = context.getLevelFromResultsCosCode(has_results)
                     cv = context.getVerdict(has_results[0].Verdict)[0]
Index: /WAeUP_SRP/base/skins/waeup_default/waeup_edit_form.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_default/waeup_edit_form.pt	(revision 2578)
+++ /WAeUP_SRP/base/skins/waeup_default/waeup_edit_form.pt	(revision 2579)
@@ -109,26 +109,4 @@
         </div>
 
-        <tal:block condition="python: 0 and not creation">
-          <div class="tooltipArea" style="visibility: hidden;"
-               id="transition_comments_help"
-               onclick="showElement(false, 'transition_comments_help')"
-               i18n:translate="help_transition_comments_modification">
-            In this field you can give the reason for the modification
-            on this document. Your comments may be used to notify other users.
-          </div>
-          <dl>
-            <dt><label for="comments"
-                       i18n:translate="transition_comments_modification"
-                       >Reason of the modification</label>
-              <button type="button" class="tooltipControl"
-                      onclick="toggleElementVisibility('transition_comments_help')"> ? </button>
-            </dt>
-            <dd>
-              <textarea name="comments" id="comments" cols="60" rows="3"
-                        tal:content="nothing">
-              </textarea>
-            </dd>
-          </dl>          
-        </tal:block>
         <metal:block use-macro="python:path('context/%s_edit_buttons/macros/buttons' % form_type)"/>
         </div>
Index: /WAeUP_SRP/base/skins/waeup_layout/layout_application_edit.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_layout/layout_application_edit.pt	(revision 2578)
+++ /WAeUP_SRP/base/skins/waeup_layout/layout_application_edit.pt	(revision 2579)
@@ -1,3 +1,12 @@
-<metal:block define-macro="default_edit"
+<metal:define tal:define="isStaff context/isStaff;
+                          isStudent context/isStudent;">
+
+<metal:block tal:condition="isStaff">              
+<metal:block use-macro="here/layout_waeup_edit/macros/default_edit"/>              
+</metal:block>        
+
+
+<metal:block define-macro="application_student_edit"
+  tal:condition="isStudent"
   tal:define="layout options/layout;
   ds options/datastructure;
@@ -8,5 +17,6 @@
   proceed options/proceed|nothing;
   widgets python:context.getRenderedWidgets(layout);
-  ">
+  fields python:( 'app_email',
+                  'app_mobile',)">
   <table class="layoutDefault" summary="Form layout"
          tal:condition="layout/rows">
@@ -107,2 +117,3 @@
   </table>
 </metal:block>
+</metal:define>
Index: /WAeUP_SRP/base/skins/waeup_student/admission_form.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/admission_form.pt	(revision 2578)
+++ /WAeUP_SRP/base/skins/waeup_student/admission_form.pt	(revision 2579)
@@ -30,5 +30,5 @@
             tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
             layout_mode='view_info', 
-            layout_id='student_application_fe')" 
+            layout_id='student_application')" 
             />
 
Index: /WAeUP_SRP/base/skins/waeup_student/admission_slip.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/admission_slip.pt	(revision 2578)
+++ /WAeUP_SRP/base/skins/waeup_student/admission_slip.pt	(revision 2579)
@@ -20,5 +20,5 @@
             tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
             layout_mode='view_info', 
-            layout_id='student_application_fe')" 
+            layout_id='student_application')" 
             />
 
Index: /WAeUP_SRP/base/skins/waeup_student/application_edit.py
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/application_edit.py	(revision 2578)
+++ /WAeUP_SRP/base/skins/waeup_student/application_edit.py	(revision 2579)
@@ -39,5 +39,5 @@
 is_valid, ds = app_doc.validate(request=REQUEST,
                                 schema_id = 'student_application',
-                                layout_id = 'student_application_fe',
+                                layout_id = 'student_application',
                                 proxy=app,
                                 use_session=False)
Index: /WAeUP_SRP/base/skins/waeup_student/clearance_slip.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/clearance_slip.pt	(revision 2578)
+++ /WAeUP_SRP/base/skins/waeup_student/clearance_slip.pt	(revision 2579)
@@ -14,5 +14,5 @@
               tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
               layout_mode='view_info', 
-              layout_id='student_application_fe')" 
+              layout_id='student_application')" 
               />        
               
Index: /WAeUP_SRP/base/skins/waeup_student/course_registration_slip.pt
===================================================================
--- /WAeUP_SRP/base/skins/waeup_student/course_registration_slip.pt	(revision 2578)
+++ /WAeUP_SRP/base/skins/waeup_student/course_registration_slip.pt	(revision 2579)
@@ -31,5 +31,5 @@
             tal:content="structure python: info['app_doc'].render(proxy=info['app_doc'],
             layout_mode='view_info', 
-            layout_id='student_application_fe')" 
+            layout_id='student_application')" 
             />           
       <table  cellpadding="2" cellspacing="0">
Index: /WAeUP_SRP/fceokene/profiles/default/workflows/waeup_student_wf/definition.xml
===================================================================
--- /WAeUP_SRP/fceokene/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 2578)
+++ /WAeUP_SRP/fceokene/profiles/default/workflows/waeup_student_wf/definition.xml	(revision 2579)
@@ -217,6 +217,6 @@
              new_state="admitted" trigger="USER"
              before_script="" after_script="">
-  
-  
+
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -224,4 +224,5 @@
    <guard-role>Manager</guard-role>
    <guard-role>SectionManager</guard-role>
+   <guard-role>Owner</guard-role>
   </guard>
  </transition>
@@ -229,6 +230,6 @@
              new_state="cleared_and_validated"
              trigger="USER" before_script="" after_script="">
-  
-  
+
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -241,6 +242,6 @@
              new_state="student_created" trigger="USER"
              before_script="" after_script="">
-  
-  
+
+
   <guard>
    <guard-role>Manager</guard-role>
@@ -254,6 +255,6 @@
              new_state="" trigger="USER" before_script=""
              after_script="">
-  
-  
+
+
   <guard>
    <guard-role>Manager</guard-role>
@@ -268,6 +269,6 @@
              new_state="deactivated" trigger="USER"
              before_script="" after_script="">
-  
-  
+
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -279,6 +280,6 @@
              new_state="deferred" trigger="USER"
              before_script="" after_script="">
-  
-  
+
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -291,6 +292,6 @@
              new_state="clearance_pin_entered"
              trigger="USER" before_script="" after_script="">
-  
-  
+
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -303,6 +304,6 @@
              new_state="school_fee_paid" trigger="USER"
              before_script="" after_script="">
-  
-  
+
+
   <guard>
    <guard-role>Manager</guard-role>
@@ -315,6 +316,6 @@
              new_state="objection_raised" trigger="USER"
              before_script="" after_script="">
-  
-  
+
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -328,6 +329,6 @@
              new_state="courses_registered" trigger="USER"
              before_script="" after_script="">
-  
-  
+
+
   <guard>
    <guard-role>CourseAdviser</guard-role>
@@ -341,6 +342,6 @@
              new_state="clearance_pin_entered"
              trigger="USER" before_script="" after_script="">
-  
-  
+
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -353,6 +354,6 @@
              new_state="school_fee_paid" trigger="USER"
              before_script="" after_script="">
-  
-  
+
+
   <guard>
    <guard-role>CourseAdviser</guard-role>
@@ -365,6 +366,6 @@
              new_state="clearance_requested" trigger="USER"
              before_script="" after_script="">
-  
-  
+
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -377,6 +378,6 @@
              new_state="returning" trigger="USER"
              before_script="" after_script="">
-  
-  
+
+
   <guard>
    <guard-role>SectionOfficer</guard-role>
@@ -388,6 +389,6 @@
              new_state="courses_validated" trigger="USER"
              before_script="" after_script="">
-  
-  
+
+
   <guard>
    <guard-role>CourseAdviser</guard-role>
@@ -401,5 +402,5 @@
   <description>Time of the last transition</description>
   <default>
-   
+
    <expression>state_change/getDateTime</expression>
   </default>