Index: WAeUP_SRP/base/skins/waeup_layout/layout_application_edit.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_layout/layout_application_edit.pt	(revision 2579)
+++ WAeUP_SRP/base/skins/waeup_layout/layout_application_edit.pt	(revision 2581)
@@ -1,4 +1,6 @@
 <metal:define tal:define="isStaff context/isStaff;
-                          isStudent context/isStudent;">
+                          isStudent context/isStudent;
+                          info context/getApplicationInfo;
+                          app_email info/app_doc/app_email">
 
 <metal:block tal:condition="isStaff">              
@@ -8,5 +10,5 @@
 
 <metal:block define-macro="application_student_edit"
-  tal:condition="isStudent"
+  tal:condition="python:isStudent and not app_email"
   tal:define="layout options/layout;
   ds options/datastructure;
@@ -21,54 +23,7 @@
   <table class="layoutDefault" summary="Form layout"
          tal:condition="layout/rows">
-    <span tal:repeat="row python: layout['rows']" valign="top" >
-      <span tal:repeat="cell row">
-        <tr tal:define="widget cell/widget;
-              wid widget/getWidgetId;
-              err python:ds.getError(wid);
-              err_mapping python:ds.getErrorMapping(wid);
-              is_required python: widget.is_required;
-              tooltip_id python:wid + '_help';
-              widget_css_class cell/widget_css_class|nothing;
-              css_class python:test(err, 'row error','row')"
-              tal:condition="python: wid != 'passport'"
-              >
-          <div tal:attributes="class widget_css_class;
-          id python:widget.getHtmlWidgetId()+'_widget';"
-          >
-            <td>
-            <div class="label" tal:condition="widget/label_edit"
-                 tal:attributes="class python:test(is_required, 'label required','label')">
-              <label tal:content="widget/label_edit"
-                     tal:attributes="for cell/widget_input_area_id|nothing;">label</label>:
-            </div>
-            <button type="button" class="tooltipControl"
-                    tal:condition="widget/help"
-                    tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
-            </td>
-            <td>
-            <span class="field">
-              <div tal:replace="structure cell/widget_rendered"/>
-            </span>
-            <div class="tooltipArea" style="visibility: hidden;"
-                 tal:condition="widget/help"
-                 tal:attributes="id tooltip_id;
-                 onclick python:'showElement(false, \'%s\')' % tooltip_id;"
-                 >
-              <tal:block tal:content="widget/help">This is the help for this field
-              </tal:block>
-            </div>
-            <tal:block condition="err">
-              <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
-                <br /><em style="color: red"
-                          tal:content="msg">err</em>
-              </tal:block>
-            </tal:block>
-            </td>
-          </div>
-        </tr>
-      </span>
-    </span>
-    <tr tal:condition="widgets/passport|nothing" 
-        tal:define="cell widgets/passport|nothing;">
+
+    <tr tal:condition="widgets/app_email|nothing" 
+        tal:define="cell widgets/app_email|nothing;">
       <tal:block tal:define="widget cell/widget;
       wid widget/getWidgetId;
@@ -76,11 +31,8 @@
       err_mapping python:ds.getErrorMapping(wid);
       is_required python: widget.is_required and creation and ('create' not in widget.readonly_layout_modes);
-      tooltip_id python:wid + '_help';
       widget_css_class widget/widget_css_class|nothing;
-      css_class python:test(err, 'row error','row')"
-      >
+      css_class python:test(err, 'row error','row')">
         <div tal:attributes="class widget_css_class;
-        id python:widget.getHtmlWidgetId()+'_widget';"
-        >
+        id python:widget.getHtmlWidgetId()+'_widget';">
           <td>
             <div class="label" tal:condition="widget/label_edit"
@@ -89,7 +41,4 @@
                      tal:attributes="for cell/widget_input_area_id|nothing;">label</label>:
             </div>
-            <button type="button" class="tooltipControl"
-                    tal:condition="widget/help"
-                    tal:attributes="onclick python:'toggleElementVisibility(\'%s\')' % tooltip_id;"> ? </button>
           </td>
           <td>
@@ -97,12 +46,4 @@
               <div tal:replace="structure cell/widget_rendered"/>
             </span>
-            <div class="tooltipArea" style="visibility: hidden;"
-                 tal:condition="widget/help"
-                 tal:attributes="id tooltip_id;
-                 onclick python:'showElement(false, \'%s\')' % tooltip_id;"
-                 >
-              <tal:block tal:content="widget/help">This is the help for this field
-              </tal:block>
-            </div>
             <tal:block condition="err">
               <tal:block define="msg python:cpsmcat(err, mapping=err_mapping)">
Index: WAeUP_SRP/base/skins/waeup_student/admission_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/admission_form.pt	(revision 2579)
+++ WAeUP_SRP/base/skins/waeup_student/admission_form.pt	(revision 2581)
@@ -1,3 +1,4 @@
-<metal:html tal:define="info context/getStudentInfo">
+<metal:html tal:define="info context/getStudentInfo;
+                        app_email info/app_doc/app_email">
   <span tal:condition="not: info">
     <span tal:content="here/illegal_view" />
@@ -76,7 +77,10 @@
                        (cpsmcat('Confirm that you want to raise an objection.'), )" 
                        />
-                <input tal:condition="python:review_state in ('admitted', 'objection_raised',)" type="submit" name="application_edit:method"
+                <input tal:condition="python:review_state in ('admitted', 'objection_raised',) and not app_email" type="submit" name="application_edit:method"
                        class="context" value="Continue" 
                        />
+                <input tal:condition="python:review_state in ('admitted', 'objection_raised',) and app_email" type="submit" name="start_clearance:method"
+                       class="context" value="Continue" 
+                       />                       
        </form>
     </span>
Index: WAeUP_SRP/base/skins/waeup_student/application_edit_form.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/application_edit_form.pt	(revision 2579)
+++ WAeUP_SRP/base/skins/waeup_student/application_edit_form.pt	(revision 2581)
@@ -31,4 +31,5 @@
         <span tal:omit-tag="" tal:replace="structure rendered_main"/>
       </span>
+      <br />
       <input type="submit" class="standalone" 
              name="cpsdocument_edit_button"