Index: WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml	(revision 2592)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/application_manage.xml	(revision 2594)
@@ -586,18 +586,19 @@
     <property name="catalog">applicants_catalog</property>
   </widget>
- <widget name="sex" meta_type="Boolean Widget">
-  <property name="title">Sex</property>
-  <property name="fields">
-   <element value="sex"/>
-  </property>
-  <property name="label">Sex</property>
-  <property name="label_edit">Sex</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes"/>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="label_false">male</property>
-  <property name="label_true">female</property>
-  <property name="render_format">select</property>
- </widget>
+  <widget name="sex" meta_type="WAeUP Sex Widget">
+   <property name="title">Sex</property>
+   <property name="fields">
+    <element value="sex"/>
+   </property>
+   <property name="label">Sex</property>
+   <property name="label_edit">Sex</property>
+   <property name="readonly_layout_modes">
+   </property>
+   <property name="hidden_layout_modes"/>
+   <property name="hidden_readonly_layout_modes"/>
+   <property name="label_false">male</property>
+   <property name="label_true">female</property>
+   <property name="render_format">select</property>
+  </widget>
   <widget name="state" meta_type="WAeUP LGA Widget">
     <property name="title">State</property>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/application_pce.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/application_pce.xml	(revision 2592)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/application_pce.xml	(revision 2594)
@@ -402,8 +402,12 @@
   <property name="label">Sex</property>
   <property name="label_edit">Sex</property>
-  <property name="readonly_layout_modes"/>
+  <property name="readonly_layout_modes">
+   <element value="edit"/>
+  </property>
   <property name="hidden_layout_modes"/>
   <property name="hidden_readonly_layout_modes"/>
-  <property name="css_class_expr">string:row</property>
+  <property name="label_false">male</property>
+  <property name="label_true">female</property>
+  <property name="render_format">select</property>
  </widget>
  <widget name="status" meta_type="String Widget">
@@ -515,5 +519,5 @@
   <property name="vocabulary">jamb_subjects</property>
  </widget>
- 
+
  <widget name="subj3score" meta_type="Int Widget">
   <property name="title">Subject 3 Score</property>
@@ -530,5 +534,5 @@
   <property name="css_class_expr">string:row</property>
  </widget>
- 
+
   <widget name="jamb_age" meta_type="String Widget">
     <property name="title">Age</property>
@@ -571,5 +575,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  
+
   <widget name="jamb_lga" meta_type="String Widget">
     <property name="title">LGA (provided by JAMB)</property>
@@ -592,5 +596,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  
+
  <widget name="lga" meta_type="Select Widget">
   <property name="title">State/LGA</property>
@@ -608,6 +612,6 @@
   <property name="vocabulary">local_gov_areas</property>
   <property name="sorted">True</property>
- </widget>   
- 
+ </widget>
+
  <table>
   <row>
@@ -643,7 +647,7 @@
   <row>
    <cell name="lga" ncols="2"/>
-  </row>  
-  
-  <row>    
+  </row>
+
+  <row>
    <cell name="email" ncols="2"/>
   </row>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml	(revision 2592)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/application_pde.xml	(revision 2594)
@@ -598,18 +598,18 @@
   </widget>
   <widget name="sex" meta_type="WAeUP Sex Widget">
-    <property name="title">Sex</property>
-    <property name="fields">
-      <element value="sex"/>
-    </property>
-    <property name="label">Sex</property>
-    <property name="label_edit">Sex</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
+   <property name="title">Sex</property>
+   <property name="fields">
+    <element value="sex"/>
+   </property>
+   <property name="label">Sex</property>
+   <property name="label_edit">Sex</property>
+   <property name="readonly_layout_modes">
+    <element value="edit"/>
+   </property>
+   <property name="hidden_layout_modes"/>
+   <property name="hidden_readonly_layout_modes"/>
+   <property name="label_false">male</property>
+   <property name="label_true">female</property>
+   <property name="render_format">select</property>
   </widget>
   <widget name="state" meta_type="WAeUP LGA Widget">
Index: WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml	(revision 2592)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/application_prence.xml	(revision 2594)
@@ -544,20 +544,19 @@
     <property name="vocabulary">screening_types</property>
   </widget>
- <widget name="sex" meta_type="Boolean Widget">
-  <property name="title">Sex</property>
-  <property name="fields">
-   <element value="sex"/>
-  </property>
-  <property name="label">Sex</property>
-  <property name="label_edit">Sex</property>
-  <property name="readonly_layout_modes"/>
-  <property name="hidden_layout_modes">
-    <element value="create"/>
-  </property>
-  <property name="hidden_readonly_layout_modes"/>
-  <property name="label_false">male</property>
-  <property name="label_true">female</property>
-  <property name="render_format">select</property>
- </widget>
+  <widget name="sex" meta_type="WAeUP Sex Widget">
+   <property name="title">Sex</property>
+   <property name="fields">
+    <element value="sex"/>
+   </property>
+   <property name="label">Sex</property>
+   <property name="label_edit">Sex</property>
+   <property name="readonly_layout_modes">
+   </property>
+   <property name="hidden_layout_modes"/>
+   <property name="hidden_readonly_layout_modes"/>
+   <property name="label_false">male</property>
+   <property name="label_true">female</property>
+   <property name="render_format">select</property>
+  </widget>
   <widget name="state" meta_type="WAeUP LGA Widget">
     <property name="title">State</property>
@@ -682,5 +681,5 @@
     <property name="css_class_expr">string:row</property>
   </widget>
-  
+
   <widget name="hq_type" meta_type="Select Widget">
     <property name="title">Higher Qualification</property>
@@ -737,5 +736,5 @@
     <property name="sorted">True</property>
     <property name="css_class_expr">string:row</property>
-  </widget>  
+  </widget>
 
  <table>
@@ -772,5 +771,5 @@
   <row>
    <cell name="aos" ncols="2"/>
-  </row>  
+  </row>
   <row>
    <cell name="course1" ncols="2"/>
@@ -778,5 +777,5 @@
   <row>
    <cell name="course2" ncols="2"/>
-  </row>  
+  </row>
   <row>
    <cell name="application_date" ncols="2"/>
Index: WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml
===================================================================
--- WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml	(revision 2592)
+++ WAeUP_SRP/fceokene/profiles/default/layouts/application_pume.xml	(revision 2594)
@@ -533,18 +533,18 @@
   </widget>
   <widget name="sex" meta_type="WAeUP Sex Widget">
-    <property name="title">Sex</property>
-    <property name="fields">
-      <element value="sex"/>
-    </property>
-    <property name="label">Sex</property>
-    <property name="label_edit">Sex</property>
-    <property name="description"></property>
-    <property name="help"></property>
-    <property name="is_i18n">False</property>
-    <property name="widget_mode_expr"></property>
-    <property name="readonly_layout_modes"/>
-    <property name="hidden_layout_modes"/>
-    <property name="hidden_readonly_layout_modes"/>
-    <property name="css_class_expr">string:row</property>
+   <property name="title">Sex</property>
+   <property name="fields">
+    <element value="sex"/>
+   </property>
+   <property name="label">Sex</property>
+   <property name="label_edit">Sex</property>
+   <property name="readonly_layout_modes">
+    <element value="edit"/>
+   </property>
+   <property name="hidden_layout_modes"/>
+   <property name="hidden_readonly_layout_modes"/>
+   <property name="label_false">male</property>
+   <property name="label_true">female</property>
+   <property name="render_format">select</property>
   </widget>
   <widget name="state" meta_type="WAeUP LGA Widget">