Index: WAeUP_SRP/base/WAeUPTables.py
===================================================================
--- WAeUP_SRP/base/WAeUPTables.py	(revision 2605)
+++ WAeUP_SRP/base/WAeUPTables.py	(revision 2606)
@@ -1355,5 +1355,7 @@
         course_results = self.course_results.evalAdvancedQuery(query)
         carry_overs = []
-        normal = []
+        normal1 = []
+        normal2 = []
+        normal3 = []
         credits = 0
         for brain in course_results:
@@ -1373,10 +1375,15 @@
                 carry_overs.append(d)
             else:
-                normal.append(d)
-        normal.sort(cmp=lambda x,y: cmp("%(semester)s%(code)s" % x,
-                                        "%(semester)s%(code)s" % y))
+                if brain.semester == '1':
+                    normal1.append(d)
+                elif brain.semester == '2':
+                    normal2.append(d)
+                else:
+                    normal3.append(d)
+        #normal.sort(cmp=lambda x,y: cmp("%(semester)s%(code)s" % x,
+        #                                "%(semester)s%(code)s" % y))
         carry_overs.sort(cmp=lambda x,y: cmp("%(semester)s%(code)s" % x,
                                              "%(semester)s%(code)s" % y))
-        return credits,carry_overs,normal
+        return credits,carry_overs,normal1,normal2,normal3
     ###)
 
Index: WAeUP_SRP/base/skins/waeup_academics/level_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_academics/level_view.pt	(revision 2605)
+++ WAeUP_SRP/base/skins/waeup_academics/level_view.pt	(revision 2606)
@@ -23,5 +23,5 @@
         <table tal:condition="python: 1" class="contentListing" width="100%" summary="content layout" id="folder_content">      
           <span tal:repeat="sem python:('first','second')">
-            <tr><th colspan="3" tal:content="python: test(sem == 'first','First Semester', 'Second Semester')" />
+            <th colspan="3" tal:content="python: test(sem == 'first','First Semester', 'Second Semester')" />
             <tr tal:repeat="row python: info[sem]"
                 tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
Index: WAeUP_SRP/base/skins/waeup_default/login_staff.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_default/login_staff.pt	(revision 2605)
+++ WAeUP_SRP/base/skins/waeup_default/login_staff.pt	(revision 2606)
@@ -34,6 +34,7 @@
     <td>
         <input type="password" id="password" name="__ac_password" size="20"
-               value="" /></td>
+               value="" /> &nbsp;&nbsp; <font color='red'>Notice: Passwords are case sensitive.  </font>   </td>
     </tr>
+    
     </tbody>
   </table>
@@ -43,8 +44,10 @@
     <input type="hidden" name="came_from" value=""
            tal:condition="exists: request/came_from"
-           tal:attributes="value request/came_from" />
+           tal:attributes="value request/came_from" />   
     <!-- ****** Enable the automatic redirect ***** -->
     <input i18n:attributes="value" class="standalone"
            type="submit" name="submit" value="button_login" />
+           
+      
   </p>
 
@@ -58,5 +61,5 @@
   <p i18n:translate="help_login_troubles_cookies">
     Having trouble logging in? Make sure to enable cookies in
-    your web browser.
+    your web browser. 
   </p>
 
Index: WAeUP_SRP/base/skins/waeup_student/course_registration_slip.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/course_registration_slip.pt	(revision 2605)
+++ WAeUP_SRP/base/skins/waeup_student/course_registration_slip.pt	(revision 2606)
@@ -74,12 +74,65 @@
         <br />
         <table class="contentListing" width="100%" summary="content layout" id="folder_content">      
-          <tr tal:repeat="row info/normal"
-              tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
-            <td width="72%" tal:content="row/title"></td>
-            <td align="center" width="10%" tal:content="row/code"></td>
-            <td align="center" width="2%">S<span tal:content="row/semester" /></td>
-            <td align="center" width="2%" tal:content="row/credits"></td>
-            <td align="center" width="14%" tal:content="row/coe|nothing"></td>
-          </tr>
+
+
+       <span tal:repeat="sem python:('1','2')">       
+                    
+        <th colspan="3" tal:content="python: test(sem == '1','First Semester', 'Second Semester')" />                
+        <tr tal:repeat="row python: test(sem == '1',info['normal1'],info['normal2'])"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+          <td align="left" valign="middle" style="width: 5px;"
+             tal:condition="show_check_boxes">
+            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                   tal:define="id row/id"
+                   tal:attributes="value id;
+                   id python:'cb_' + id;
+                   checked python:id in info['choosen_ids'];" 
+                   />
+          </td>
+          <td width="71%" tal:content="row/title"></td>
+          <td align="center" width="10%" tal:content="row/code"></td>
+          <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+          <td align="center" width="2%" tal:content="row/credits"></td>
+          <td align="center" width="10%" tal:content="row/coe|nothing"></td>
+          
+          <td tal:condition="python:review_state == 'school_fee_paid'" width="5%" align="center">
+          <a href="edit" tal:attributes="href string:course_edit/${row/code}"
+          target="edit"
+          onclick="javascript:window.open('','edit','width=600, height=350, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+          [edit]
+          </a> 
+          </td>          
+        </tr>
+        
+        
+        <th colspan="3" tal:condition="info/normal3"> Combined</th>                
+        <tr tal:condition="info/normal3" tal:repeat="row info/normal3"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+          <td align="left" valign="middle" style="width: 5px;"
+             tal:condition="show_check_boxes">
+            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                   tal:define="id row/id"
+                   tal:attributes="value id;
+                   id python:'cb_' + id;
+                   checked python:id in info['choosen_ids'];" 
+                   />
+          </td>
+          <td width="71%" tal:content="row/title"></td>
+          <td align="center" width="10%" tal:content="row/code"></td>
+          <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+          <td align="center" width="2%" tal:content="row/credits"></td>
+          <td align="center" width="10%" tal:content="row/coe|nothing"></td>
+          
+          <td tal:condition="python:review_state == 'school_fee_paid'" width="5%" align="center">
+          <a href="edit" tal:attributes="href string:course_edit/${row/code}"
+          target="edit"
+          onclick="javascript:window.open('','edit','width=600, height=350, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+          [edit]
+          </a> 
+          </td>          
+        </tr>        
+        
+        </span>        
+        
           <tr>
             <td width="82%" colspan="2" align="right">Total Credits:</td>
Index: WAeUP_SRP/base/skins/waeup_student/getStudyLevelInfo.py
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/getStudyLevelInfo.py	(revision 2605)
+++ WAeUP_SRP/base/skins/waeup_student/getStudyLevelInfo.py	(revision 2606)
@@ -55,12 +55,12 @@
 #    return 0.0
 
-def cmp_semester_id(a,b):
-    s1 = "%(semester)s%(id)s" % a
-    s2 = "%(semester)s%(id)s" % b
-    if s1 == s2:
-        return 0
-    if s1 > s2:
-        return 1
-    return -1
+#def cmp_semester_id(a,b):
+#    s1 = "%(semester)s%(id)s" % a
+#    s2 = "%(semester)s%(id)s" % b
+#    if s1 == s2:
+#        return 0
+#    if s1 > s2:
+#        return 1
+#    return -1
 
 student_id = context.getStudentId()
@@ -95,5 +95,5 @@
     course_results.moveResultsHere(context,student_id)
     logger.info("%s initiated moveResultsHere for %s in level %s" % (member_id,student_id,level_id))
-credits_total,carry_overs,normal = course_results.getCourses(student_id,level_id)
+credits_total,carry_overs,normal1,normal2,normal3 = course_results.getCourses(student_id,level_id)
 info['credits_total'] = credits_total
 max_credits = 50
@@ -108,5 +108,7 @@
 info['carry_overs'] = carry_overs
 # normal.sort(cmp_semester_id)
-info['normal'] = normal
+info['normal1'] = normal1
+info['normal2'] = normal2
+info['normal3'] = normal3
 
 students_object = context.portal_url.getPortalObject().campus.students
Index: WAeUP_SRP/base/skins/waeup_student/login_student.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/login_student.pt	(revision 2605)
+++ WAeUP_SRP/base/skins/waeup_student/login_student.pt	(revision 2606)
@@ -42,5 +42,5 @@
     <td>
         <input type="password" id="password" name="__ac_password" size="20"
-               value="" /></td>
+               value="" />&nbsp;&nbsp; <font color='red'>Notice: Passwords are case sensitive.  </font>   </td>
     </tr>
     </tbody>
Index: WAeUP_SRP/base/skins/waeup_student/student_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/student_view.pt	(revision 2605)
+++ WAeUP_SRP/base/skins/waeup_student/student_view.pt	(revision 2606)
@@ -67,6 +67,5 @@
 
         <span tal:repeat="row rows">
-        <tr tal:condition="python:row['type'] != 'StudentPume'"
-            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+        <tr tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
           <td><a href="view" tal:attributes="href string:${row/url}">
             <strong tal:content="row/title" /></a> </td>
Index: WAeUP_SRP/base/skins/waeup_student/study_level_view.pt
===================================================================
--- WAeUP_SRP/base/skins/waeup_student/study_level_view.pt	(revision 2605)
+++ WAeUP_SRP/base/skins/waeup_student/study_level_view.pt	(revision 2606)
@@ -46,4 +46,5 @@
         <tr tal:repeat="row info/carry_overs"
             tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+      
           <td align="left" valign="middle" style="width: 5px;"
               tal:condition="show_check_boxes">
@@ -68,11 +69,14 @@
       <h4>Session Courses</h4>
       <br />
-    <div class="" tal:condition="not: info/normal">
+    <div class="" tal:condition="python: not (info['normal1'] or info['normal2'] or info['normal3'])">
       <font color="red">Your faculty has not yet provided the list of courses for your certificate. Please contact your faculty!</font>
       <br /><br />
     </div>
-      <table class="contentListing" width="100%" id="folder_content"
-             tal:condition="info/normal">      
-        <tr tal:repeat="row info/normal"
+      <table class="contentListing" width="100%" id="folder_content">
+        
+        <span tal:repeat="sem python:('1','2')">       
+                    
+        <th colspan="3" tal:content="python: test(sem == '1','First Semester', 'Second Semester')" />                
+        <tr tal:repeat="row python: test(sem == '1',info['normal1'],info['normal2'])"
             tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
           <td align="left" valign="middle" style="width: 5px;"
@@ -91,7 +95,4 @@
           <td align="center" width="10%" tal:content="row/coe|nothing"></td>
           
-          
-
-
           <td tal:condition="python:review_state == 'school_fee_paid'" width="5%" align="center">
           <a href="edit" tal:attributes="href string:course_edit/${row/code}"
@@ -101,7 +102,38 @@
           </a> 
           </td>          
+        </tr>
+        
+        
+        <th colspan="3" tal:condition="info/normal3"> Combined</th>                
+        <tr tal:condition="info/normal3" tal:repeat="row info/normal3"
+            tal:attributes="class python:test(repeat['row'].even(), 'even ajaxtd', 'odd ajaxtd')">
+          <td align="left" valign="middle" style="width: 5px;"
+             tal:condition="show_check_boxes">
+            <input type="checkbox" name="ids:list" value="" id="" class="noborder"
+                   tal:define="id row/id"
+                   tal:attributes="value id;
+                   id python:'cb_' + id;
+                   checked python:id in info['choosen_ids'];" 
+                   />
+          </td>
+          <td width="71%" tal:content="row/title"></td>
+          <td align="center" width="10%" tal:content="row/code"></td>
+          <td align="center" width="2%">S<span tal:content="row/semester" /></td>
+          <td align="center" width="2%" tal:content="row/credits"></td>
+          <td align="center" width="10%" tal:content="row/coe|nothing"></td>
           
-          
-        </tr>
+          <td tal:condition="python:review_state == 'school_fee_paid'" width="5%" align="center">
+          <a href="edit" tal:attributes="href string:course_edit/${row/code}"
+          target="edit"
+          onclick="javascript:window.open('','edit','width=600, height=350, directories=no, toolbar=no, location=no, menubar=no, scrollbars=yes, status=no, resizable=no, dependent=no')">
+          [edit]
+          </a> 
+          </td>          
+        </tr>        
+        
+        
+        
+        </span>
+
         <tr>
           <td tal:condition="show_check_boxes" colspan="1"></td>